[Touch-packages] [Bug 1585881] [NEW] package account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified: usr/share/accounts/providers/google.provider usr/share/accounts/services/google-im.service] f

2016-05-25 Thread Matthew Stange
Public bug reported:

I downloaded a lot of stuff and then my computer wasn't working. I don't
know what happened or what I downloaded, everything was downloaded from
the software center, to cause my computer not to work.

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified: 
usr/share/accounts/providers/google.provider 
usr/share/accounts/services/google-im.service]
ProcVersionSignature: Ubuntu 4.2.0-36.41-generic 4.2.8-ckt8
Uname: Linux 4.2.0-36-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
Architecture: amd64
Date: Tue May 24 00:18:53 2016
ErrorMessage: trying to overwrite 
'/usr/share/accounts/providers/google.provider', which is also in package 
kaccounts-providers 4:15.08.2-0ubuntu1
InstallationDate: Installed on 2014-10-29 (574 days ago)
InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 
(20130213)
PackageArchitecture: all
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.10ubuntu1
SourcePackage: account-plugins
Title: package account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified: 
usr/share/accounts/providers/google.provider 
usr/share/accounts/services/google-im.service] failed to install/upgrade: 
trying to overwrite '/usr/share/accounts/providers/google.provider', which is 
also in package kaccounts-providers 4:15.08.2-0ubuntu1
UpgradeStatus: Upgraded to xenial on 2016-05-14 (11 days ago)

** Affects: account-plugins (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to account-plugins in Ubuntu.
https://bugs.launchpad.net/bugs/1585881

Title:
  package account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified:
  usr/share/accounts/providers/google.provider
  usr/share/accounts/services/google-im.service] failed to
  install/upgrade: trying to overwrite
  '/usr/share/accounts/providers/google.provider', which is also in
  package kaccounts-providers 4:15.08.2-0ubuntu1

Status in account-plugins package in Ubuntu:
  New

Bug description:
  I downloaded a lot of stuff and then my computer wasn't working. I
  don't know what happened or what I downloaded, everything was
  downloaded from the software center, to cause my computer not to work.

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified: 
usr/share/accounts/providers/google.provider 
usr/share/accounts/services/google-im.service]
  ProcVersionSignature: Ubuntu 4.2.0-36.41-generic 4.2.8-ckt8
  Uname: Linux 4.2.0-36-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  Date: Tue May 24 00:18:53 2016
  ErrorMessage: trying to overwrite 
'/usr/share/accounts/providers/google.provider', which is also in package 
kaccounts-providers 4:15.08.2-0ubuntu1
  InstallationDate: Installed on 2014-10-29 (574 days ago)
  InstallationMedia: Ubuntu 12.04.2 LTS "Precise Pangolin" - Release amd64 
(20130213)
  PackageArchitecture: all
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.10ubuntu1
  SourcePackage: account-plugins
  Title: package account-plugin-google 0.12+15.10.20150723-0ubuntu1 [modified: 
usr/share/accounts/providers/google.provider 
usr/share/accounts/services/google-im.service] failed to install/upgrade: 
trying to overwrite '/usr/share/accounts/providers/google.provider', which is 
also in package kaccounts-providers 4:15.08.2-0ubuntu1
  UpgradeStatus: Upgraded to xenial on 2016-05-14 (11 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/account-plugins/+bug/1585881/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585880] [NEW] package libgstreamer1.0-0:i386 1.8.0-1 failed to install/upgrade: package libgstreamer1.0-0:i386 is not ready for configuration cannot configure (current status 'h

2016-05-25 Thread sandibunce
Public bug reported:

failed to install packages

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: libgstreamer1.0-0:i386 1.8.0-1
ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
Uname: Linux 4.4.0-21-generic i686
ApportVersion: 2.20.1-0ubuntu2
Architecture: i386
Date: Thu May 26 01:38:00 2016
ErrorMessage: package libgstreamer1.0-0:i386 is not ready for configuration  
cannot configure (current status 'half-installed')
InstallationDate: Installed on 2016-05-26 (0 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release i386 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.10ubuntu1
SourcePackage: gstreamer1.0
Title: package libgstreamer1.0-0:i386 1.8.0-1 failed to install/upgrade: 
package libgstreamer1.0-0:i386 is not ready for configuration  cannot configure 
(current status 'half-installed')
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: gstreamer1.0 (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: apport-package i386 xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gstreamer1.0 in Ubuntu.
https://bugs.launchpad.net/bugs/1585880

Title:
  package libgstreamer1.0-0:i386 1.8.0-1 failed to install/upgrade:
  package libgstreamer1.0-0:i386 is not ready for configuration  cannot
  configure (current status 'half-installed')

Status in gstreamer1.0 package in Ubuntu:
  New

Bug description:
  failed to install packages

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: libgstreamer1.0-0:i386 1.8.0-1
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic i686
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: i386
  Date: Thu May 26 01:38:00 2016
  ErrorMessage: package libgstreamer1.0-0:i386 is not ready for configuration  
cannot configure (current status 'half-installed')
  InstallationDate: Installed on 2016-05-26 (0 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release i386 (20160420.1)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.10ubuntu1
  SourcePackage: gstreamer1.0
  Title: package libgstreamer1.0-0:i386 1.8.0-1 failed to install/upgrade: 
package libgstreamer1.0-0:i386 is not ready for configuration  cannot configure 
(current status 'half-installed')
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gstreamer1.0/+bug/1585880/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: libc on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Andreas "Jimmy" Gredler
Steve: I think it does not happen with 14.04 because Apache is not restarted 
during the upgrade process. Not sure why but that's what my tests with 14.04 
showed me.
My tests with 12.04 are not 100% reproducible which makes me wonder if there is 
a race condition in the postinst script of libapache2-mod-php5. Is there a 
chance that Apache is reloaded before ldconfig is completely finished? That 
would also explain why a simple restart of Apache solves the problem.
This is how I test:
# apt-get install libc6=2.15-0ubuntu10.13 libc-bin=2.15-0ubuntu10.13 
libapache2-mod-php5=5.3.10-1ubuntu3 php5-common=5.3.10-1ubuntu3
# apt-get upgrade

In some cases Apache does not restart successfully, in some it does.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  libc on 2016-05-25 causes Apache not to restart, libm.so.6: symbol
  __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6
  with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1446865]

2016-05-25 Thread Leslie Zhai
Yup also worked for ArchLinux now ;-)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to qtbase-opensource-src in
Ubuntu.
https://bugs.launchpad.net/bugs/1446865

Title:
  KDE5/Qt5 does not support session restoration

Status in KDE Base Workspace:
  Fix Released
Status in Qt:
  New
Status in plasma-workspace package in Ubuntu:
  Confirmed
Status in qtbase-opensource-src package in Ubuntu:
  Confirmed

Bug description:
  KDE5/Qt5 does not support proper session restoration.

  ProblemType: Bug
  DistroRelease: Ubuntu 15.10

To manage notifications about this bug go to:
https://bugs.launchpad.net/kdebase-workspace/+bug/1446865/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585863] Re: WiFi malfunction after suspend & resume stress

2016-05-25 Thread Ubuntu Foundations Team Bug Bot
The attachment "network-manager_1.2.2-0ubuntu3.debdiff" seems to be a
debdiff.  The ubuntu-sponsors team has been subscribed to the bug report
so that they can review and hopefully sponsor the debdiff.  If the
attachment isn't a patch, please remove the "patch" flag from the
attachment, remove the "patch" tag, and if you are member of the
~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by
~brian-murray, for any issue please contact him.]

** Tags added: patch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585863

Title:
  WiFi malfunction after suspend & resume stress

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:Ubuntu Yakkety Yak (development branch)   

 
  Release:16.10
  Packages:
  libnm-glib-vpn1:amd64   1.2.2-0ubuntu2

 
  libnm-glib4:amd64   1.2.2-0ubuntu2
  libnm-util2:amd64   1.2.2-0ubuntu2
  libnm0:amd641.2.2-0ubuntu2
  network-manager 1.2.2-0ubuntu2

  Reproduce steps:
  1. Install fwts by `sudo apt-get install fwts`.
  2. Run the suspend & resume stress test.
  sudo fwts s3 --s3-multiple=30 --s3-min-delay=10 --s3-max-delay=10 
--s3-delay-delta=5

  Expected result:
  The WiFi still functioned.

  Actual result:
  The WiFi can not connect to any access point and we have to execute `sudo 
wpa_cli scan` manually to make it work again.

  P.S. Ubuntu 16.04 also has the same issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1462712] Re: Sony Vaio Pro webcam does not work in most of the apps with libjpeg-turbo8-1.3.0-0ubuntu2

2016-05-25 Thread Launchpad Bug Tracker
[Expired for libjpeg-turbo (Ubuntu) because there has been no activity
for 60 days.]

** Changed in: libjpeg-turbo (Ubuntu)
   Status: Incomplete => Expired

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to libjpeg-turbo in Ubuntu.
https://bugs.launchpad.net/bugs/1462712

Title:
  Sony Vaio Pro webcam does not work in most of the apps with libjpeg-
  turbo8-1.3.0-0ubuntu2

Status in libjpeg-turbo package in Ubuntu:
  Expired

Bug description:
  I'm using Ubuntu 15.04.
  The version of libjpeg-turbo8 is 1.3.0-0ubuntu2.

  Expected:
  A video picture from the webcam.

  What happens instead:
  The output is just a garbled picture or sometimes the green screen.

  For example, cheese fails with:
  libv4l2: error got 4 consecutive frame decode errors, last error: 
v4l-convert: libjpeg error: End Of Image

  The webcam (ID 0bda:5793 Realtek Semiconductor Corp.) has MJPG as one
  of the formats.

  Most of the apps (cheese, google-chrome, etc.) don't allow to select
  other format for the webcam. Thus this webcam is unusable in those
  applications.

  This is fixed in libjpeg-turbo 1.4.

  Other relevant discussions:
  https://code.google.com/p/chromium/issues/detail?id=399939

  ProblemType: Bug
  DistroRelease: Ubuntu 15.04
  Package: libjpeg-turbo8 1.3.0-0ubuntu2
  ProcVersionSignature: Ubuntu 3.19.0-18.18-generic 3.19.6
  Uname: Linux 3.19.0-18-generic x86_64
  ApportVersion: 2.17.2-0ubuntu1.1
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Sun Jun  7 09:30:40 2015
  Dependencies:
   gcc-5-base 5.1~rc1-0ubuntu1
   libc6 2.21-0ubuntu4
   libgcc1 1:5.1~rc1-0ubuntu1
   multiarch-support 2.21-0ubuntu4
  InstallationDate: Installed on 2015-05-03 (34 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release amd64 (20150422)
  SourcePackage: libjpeg-turbo
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/libjpeg-turbo/+bug/1462712/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585867] Re: Support squashfs / .snap pacakges

2016-05-25 Thread Robert Ancell
** Also affects: shared-mime-info (Ubuntu)
   Importance: Undecided
   Status: New

** Bug watch added: freedesktop.org Bugzilla #43621
   https://bugs.freedesktop.org/show_bug.cgi?id=43621

** Also affects: shared-mime-info via
   https://bugs.freedesktop.org/show_bug.cgi?id=43621
   Importance: Unknown
   Status: Unknown

** Bug watch added: GNOME Bug Tracker #662519
   https://bugzilla.gnome.org/show_bug.cgi?id=662519

** Also affects: file-roller via
   https://bugzilla.gnome.org/show_bug.cgi?id=662519
   Importance: Unknown
   Status: Unknown

** Changed in: shared-mime-info (Ubuntu)
   Status: New => Triaged

** Changed in: shared-mime-info (Ubuntu)
   Importance: Undecided => Wishlist

** Summary changed:

- Support squashfs / .snap pacakges
+ Support squashfs / .snap packages

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to shared-mime-info in
Ubuntu.
https://bugs.launchpad.net/bugs/1585867

Title:
  Support squashfs / .snap packages

Status in File Roller:
  Unknown
Status in shared-mime-info:
  Unknown
Status in file-roller package in Ubuntu:
  Triaged
Status in shared-mime-info package in Ubuntu:
  Triaged

Bug description:
  Support squashfs / .snap pacakges

To manage notifications about this bug go to:
https://bugs.launchpad.net/file-roller/+bug/1585867/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585863] Re: WiFi malfunction after suspend & resume stress

2016-05-25 Thread Shih-Yuan Lee
This patch is for xenial.

** Patch added: "network-manager_1.2.0-0ubuntu0.16.04.3.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+attachment/4670449/+files/network-manager_1.2.0-0ubuntu0.16.04.3.debdiff

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585863

Title:
  WiFi malfunction after suspend & resume stress

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:Ubuntu Yakkety Yak (development branch)   

 
  Release:16.10
  Packages:
  libnm-glib-vpn1:amd64   1.2.2-0ubuntu2

 
  libnm-glib4:amd64   1.2.2-0ubuntu2
  libnm-util2:amd64   1.2.2-0ubuntu2
  libnm0:amd641.2.2-0ubuntu2
  network-manager 1.2.2-0ubuntu2

  Reproduce steps:
  1. Install fwts by `sudo apt-get install fwts`.
  2. Run the suspend & resume stress test.
  sudo fwts s3 --s3-multiple=30 --s3-min-delay=10 --s3-max-delay=10 
--s3-delay-delta=5

  Expected result:
  The WiFi still functioned.

  Actual result:
  The WiFi can not connect to any access point and we have to execute `sudo 
wpa_cli scan` manually to make it work again.

  P.S. Ubuntu 16.04 also has the same issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585863] Re: WiFi malfunction after suspend & resume stress

2016-05-25 Thread Shih-Yuan Lee
** Patch added: "network-manager_1.2.2-0ubuntu3.debdiff"
   
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+attachment/4670448/+files/network-manager_1.2.2-0ubuntu3.debdiff

** Tags added: xenial yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585863

Title:
  WiFi malfunction after suspend & resume stress

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:Ubuntu Yakkety Yak (development branch)   

 
  Release:16.10
  Packages:
  libnm-glib-vpn1:amd64   1.2.2-0ubuntu2

 
  libnm-glib4:amd64   1.2.2-0ubuntu2
  libnm-util2:amd64   1.2.2-0ubuntu2
  libnm0:amd641.2.2-0ubuntu2
  network-manager 1.2.2-0ubuntu2

  Reproduce steps:
  1. Install fwts by `sudo apt-get install fwts`.
  2. Run the suspend & resume stress test.
  sudo fwts s3 --s3-multiple=30 --s3-min-delay=10 --s3-max-delay=10 
--s3-delay-delta=5

  Expected result:
  The WiFi still functioned.

  Actual result:
  The WiFi can not connect to any access point and we have to execute `sudo 
wpa_cli scan` manually to make it work again.

  P.S. Ubuntu 16.04 also has the same issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585863] [NEW] WiFi malfunction after suspend & resume stress

2016-05-25 Thread Shih-Yuan Lee
Public bug reported:

Description:Ubuntu Yakkety Yak (development branch) 

   
Release:16.10
Packages:
libnm-glib-vpn1:amd64   1.2.2-0ubuntu2  

   
libnm-glib4:amd64   1.2.2-0ubuntu2
libnm-util2:amd64   1.2.2-0ubuntu2
libnm0:amd641.2.2-0ubuntu2
network-manager 1.2.2-0ubuntu2

Reproduce steps:
1. Install fwts by `sudo apt-get install fwts`.
2. Run the suspend & resume stress test.
sudo fwts s3 --s3-multiple=30 --s3-min-delay=10 --s3-max-delay=10 
--s3-delay-delta=5

Expected result:
The WiFi still functioned.

Actual result:
The WiFi can not connect to any access point and we have to execute `sudo 
wpa_cli scan` manually to make it work again.

P.S. Ubuntu 16.04 also has the same issue.

** Affects: network-manager (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: xenial yakkety

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585863

Title:
  WiFi malfunction after suspend & resume stress

Status in network-manager package in Ubuntu:
  New

Bug description:
  Description:Ubuntu Yakkety Yak (development branch)   

 
  Release:16.10
  Packages:
  libnm-glib-vpn1:amd64   1.2.2-0ubuntu2

 
  libnm-glib4:amd64   1.2.2-0ubuntu2
  libnm-util2:amd64   1.2.2-0ubuntu2
  libnm0:amd641.2.2-0ubuntu2
  network-manager 1.2.2-0ubuntu2

  Reproduce steps:
  1. Install fwts by `sudo apt-get install fwts`.
  2. Run the suspend & resume stress test.
  sudo fwts s3 --s3-multiple=30 --s3-min-delay=10 --s3-max-delay=10 
--s3-delay-delta=5

  Expected result:
  The WiFi still functioned.

  Actual result:
  The WiFi can not connect to any access point and we have to execute `sudo 
wpa_cli scan` manually to make it work again.

  P.S. Ubuntu 16.04 also has the same issue.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1585863/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1570698] Re: CI failure in TestClientInput.receives_one_touch_event_per_frame

2016-05-25 Thread Daniel van Vugt
** Changed in: mir (Ubuntu)
   Status: Fix Released => Triaged

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1570698

Title:
  CI failure in TestClientInput.receives_one_touch_event_per_frame

Status in Mir:
  Triaged
Status in mir package in Ubuntu:
  Triaged

Bug description:
  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/863/consoleFull

  02:44:41 11: [ RUN ] TestClientInput.receives_one_touch_event_per_frame
  02:44:41 11: [2016-04-15 02:44:41.425619] mirserver: Starting
  02:44:41 11: [2016-04-15 02:44:41.430805] mirserver: Selected driver: dummy 
(version 0.22.0)
  02:44:41 11: [2016-04-15 02:44:41.499565] mirserver: Using software cursor
  02:44:41 11: [2016-04-15 02:44:41.509983] mirserver: Initial display 
configuration:
  02:44:41 11: [2016-04-15 02:44:41.510510] mirserver: 1.1: VGA 0.0" 0x0mm
  02:44:41 11: [2016-04-15 02:44:41.510809] mirserver: Current mode 1000x800 
60.00Hz
  02:44:41 11: [2016-04-15 02:44:41.511107] mirserver: Preferred mode 1000x800 
60.00Hz
  02:44:41 11: [2016-04-15 02:44:41.511379] mirserver: Logical position +0+0
  02:44:41 11: [2016-04-15 02:44:41.565602] mirserver: Selected input driver: 
mir:stub-input (version: 0.22.0)
  02:44:41 11: [2016-04-15 02:44:41.568428] mirserver: Mir version 0.22.0
  02:44:44 11: 
  02:44:44 11: GMOCK WARNING:
  02:44:44 11: Uninteresting mock function call - returning directly.
  02:44:44 11: Function call: handle_input(touch_event(when=2480338825735318 
(133.240680ms ago), from=3, touch = {{id=1, action=change, tool=finger, 
x=7.68054, y=12.2889, pressure=1, major=5, minor=8, size=8}, modifiers=1))
  02:44:44 11: Stack trace:
  02:44:44 11: 
/��BUILDDIR��/mir-0.22.0+xenial881bzr3443/tests/acceptance-tests/test_client_input.cpp:639:
 Failure
  02:44:44 11: The difference between 1.0f and client_input_events_per_frame is 
0.2400953674316, which exceeds 0.2f, where
  02:44:44 11: 1.0f evaluates to 1,
  02:44:44 11: client_input_events_per_frame evaluates to 0.7599046325684, 
and
  02:44:44 11: 0.2f evaluates to 0.2000298023224.
  02:44:44 11: 
  02:44:44 11: GMOCK WARNING:
  02:44:44 11: Uninteresting mock function call - returning directly.
  02:44:45 11: Function call: handle_input(touch_event(when=2480339119018976 
(10.576963ms ago), from=3, touch = {{id=1, action=change, tool=finger, 
x=7.80214, y=12.4834, pressure=1, major=5, minor=8, size=8}, modifiers=1))
  02:44:45 11: Stack trace:
  02:44:45 11: 
  02:44:45 11: GMOCK WARNING:
  02:44:45 11: Uninteresting mock function call - returning directly.
  02:44:45 11: Function call: handle_input(touch_event(when=2480339135968128 
(14.812916ms ago), from=3, touch = {{id=1, action=change, tool=finger, 
x=7.84436, y=12.551, pressure=1, major=5, minor=8, size=8}, modifiers=1))
  02:44:45 11: Stack trace:
  02:44:45 11: [2016-04-15 02:44:45.407565] mirserver: Stopping
  02:44:45 11: [ FAILED ] TestClientInput.receives_one_touch_event_per_frame 
(4083 ms)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1570698/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584784] Re: With Mir 0.23.0, X apps need interaction to start in pocket-desktop

2016-05-25 Thread Daniel van Vugt
Just a thought... Xmir makes heavy use of callbacks to schedule frames
since Xorg is essentially single-threaded. Make sure buffer swapping
callbacks via the client API still work correctly in 0.23.0 with NBS.

** Summary changed:

- 0.23 xapps need interaction to start in pocket-desktop 
+ With Mir 0.23.0, X apps need interaction to start in pocket-desktop

** Description changed:

- in 0.23 the xapps need some interaction to get the applications to
- start. 0.23 is blocked pending fix.
+ With Mir 0.23.0, X apps under Unity8 need some interaction to get the
+ applications to start. 0.23.0 is blocked pending fix.

** Summary changed:

- With Mir 0.23.0, X apps need interaction to start in pocket-desktop
+ With Mir 0.23.0, X apps under Unity8 need interaction to start in 
pocket-desktop

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1584784

Title:
  With Mir 0.23.0, X apps under Unity8 need interaction to start in
  pocket-desktop

Status in Mir:
  In Progress
Status in Mir 0.23 series:
  In Progress
Status in Mir 0.24 series:
  In Progress
Status in QtMir:
  New
Status in mir package in Ubuntu:
  New
Status in qtmir package in Ubuntu:
  New
Status in xorg-server package in Ubuntu:
  Invalid

Bug description:
  With Mir 0.23.0, X apps under Unity8 need some interaction to get the
  applications to start. 0.23.0 is blocked pending fix.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1584784/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583970] Re: [testsfail] ClientLogging.reports_performance [Value of: lag]

2016-05-25 Thread Daniel van Vugt
** Branch unlinked: lp:mir/0.23

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1583970

Title:
  [testsfail] ClientLogging.reports_performance [Value of: lag]

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  Doesn't seem to be quite the same thing as lp:1563148 (although
  probably related to the same underlying dependence on realtime).

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/1095/consoleFull

  17:18:25 13: [ RUN ] ClientLogging.reports_performance
  17:18:25 13: [2016-05-19 17:18:25.480624] mirserver: Starting
  17:18:25 13: [2016-05-19 17:18:25.483906] mirserver: Selected driver: dummy 
(version 0.23.0)
  17:18:25 13: [2016-05-19 17:18:25.517901] mirserver: Using software cursor
  17:18:25 13: [2016-05-19 17:18:25.523291] mirserver: Initial display 
configuration:
  17:18:25 13: [2016-05-19 17:18:25.523635] mirserver: 1.1: VGA 0.0" 0x0mm
  17:18:25 13: [2016-05-19 17:18:25.523889] mirserver: Current mode 1600x1600 
60.00Hz
  17:18:25 13: [2016-05-19 17:18:25.524090] mirserver: Preferred mode 1600x1600 
60.00Hz
  17:18:25 13: [2016-05-19 17:18:25.524267] mirserver: Logical position +0+0
  17:18:25 13: [2016-05-19 17:18:25.551303] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  17:18:25 13: [2016-05-19 17:18:25.552840] mirserver: Mir version 0.23.0
  17:18:29 13: 
/��BUILDDIR��/mir-0.23.0+xenial1124bzr3512/tests/acceptance-tests/test_client_logging.cpp:115:
 Failure
  17:18:29 13: Value of: lag
  17:18:29 13: Expected: is > 50
  17:18:29 13: Actual: 20.89 (of type float)
  17:18:29 13: 
/��BUILDDIR��/mir-0.23.0+xenial1124bzr3512/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  17:18:29 13: Value of: Test::HasFailure()
  17:18:29 13: Actual: true
  17:18:29 13: Expected: false
  17:18:29 13: Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 8.56 
FPS, render time 3.67ms, buffer lag 20.89ms (3 buffers)}
  17:18:29 13: [ FAILED ] ClientLogging.reports_performance (4524 ms)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1583970/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583536] Re: mirtest-dev is hard to use as the objects used are compiled with LTO

2016-05-25 Thread Daniel van Vugt
** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

** Branch unlinked: lp:mir/0.23

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1583536

Title:
  mirtest-dev is hard to use as the objects used are compiled with LTO

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  New

Bug description:
  Linking against mirtest-dev in a downstream project fails as no
  symbols are not found in the archive.

  nm -gC /usr/lib/x86_64-linux-gnu/libmir-test-assist.a

  gives lots of "nm: FOO.cpp.o: plugin needed to handle lto object"
  errors

  Replacing the archive with one built without LTO fixes the problems.

  Adding LTO to the downstream project didn't.

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1583536/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1581368] Re: [regression] MIR_CLIENT_PERF_REPORT is showing bogus render times and buffer lag

2016-05-25 Thread Daniel van Vugt
** Changed in: mir/0.23
 Assignee: (unassigned) => Daniel van Vugt (vanvugt)

** Branch unlinked: lp:mir/0.23

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1581368

Title:
  [regression] MIR_CLIENT_PERF_REPORT is showing bogus render times and
  buffer lag

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  New

Bug description:
  MIR_CLIENT_PERF_REPORT is showing bogus render times:

  $ env MIR_CLIENT_PERF_REPORT=log bin/mir_demo_client_egltriangle
  ...
  [2016-05-13 16:20:12.972236] perf: mir_demo_client_egltriangle.bin: 62.68 
FPS, render time 23216586.29ms, buffer lag 0.00ms (3 buffers)
  [2016-05-13 16:20:13.973084] perf: mir_demo_client_egltriangle.bin: 60.00 
FPS, render time 23217610.93ms, buffer lag 0.00ms (3 buffers)
  [2016-05-13 16:20:14.973926] perf: mir_demo_client_egltriangle.bin: 60.00 
FPS, render time 23218611.88ms, buffer lag 0.00ms (3 buffers)
  ^CSignal 2 received. Good night.

  I haven't bisected it yet but know:
  FAULTY: Mir 0.24 lp:mir
  WORKING: Mir 0.21 (xenial)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1581368/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584603] Re: [ FAILED ] ClientLogging.reports_performance (Value of: nbuffers)

2016-05-25 Thread Daniel van Vugt
** Branch unlinked: lp:mir/0.23

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1584603

Title:
  [ FAILED ] ClientLogging.reports_performance (Value of: nbuffers)

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  10:23:22 [ RUN ] ClientLogging.reports_performance
  10:23:22 [2016-05-20 10:18:25.500861] mirserver: Starting
  10:23:22 [2016-05-20 10:18:25.504499] mirserver: Selected driver: dummy 
(version 0.23.0)
  10:23:22 [2016-05-20 10:18:25.548064] mirserver: Using software cursor
  10:23:22 [2016-05-20 10:18:25.552896] mirserver: Initial display 
configuration:
  10:23:22 [2016-05-20 10:18:25.553212] mirserver: 1.1: VGA 0.0" 0x0mm
  10:23:22 [2016-05-20 10:18:25.553415] mirserver: Current mode 1600x1600 
60.00Hz
  10:23:22 [2016-05-20 10:18:25.553592] mirserver: Preferred mode 1600x1600 
60.00Hz
  10:23:22 [2016-05-20 10:18:25.553758] mirserver: Logical position +0+0
  10:23:22 [2016-05-20 10:18:25.580332] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  10:23:22 [2016-05-20 10:18:25.581448] mirserver: Mir version 0.23.0
  10:23:22 
/��BUILDDIR��/mir-0.23.0+xenial1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:116:
 Failure
  10:23:22 Value of: nbuffers
  10:23:22 Expected: is equal to 3
  10:23:22 Actual: 2 (of type int)
  10:23:22 
/��BUILDDIR��/mir-0.23.0+xenial1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  10:23:22 Value of: Test::HasFailure()
  10:23:22 Actual: true
  10:23:22 Expected: false
  10:23:22 Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 8.77 FPS, 
render time 3.51ms, buffer lag 120.30ms (2 buffers)}
  10:23:22 [ FAILED ] ClientLogging.reports_performance (4266 ms)

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial/1107/consoleFull

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1584603/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584605] Re: [ FAILED ] ClientLogging.reports_performance (Value of: render)

2016-05-25 Thread Daniel van Vugt
** Branch unlinked: lp:mir/0.23

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1584605

Title:
  [ FAILED ] ClientLogging.reports_performance (Value of: render)

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  10:32:32 9: [ RUN ] ClientLogging.reports_performance
  10:32:32 9: [2016-05-20 10:32:32.094437] mirserver: Starting
  10:32:32 9: [2016-05-20 10:32:32.101512] mirserver: Selected driver: dummy 
(version 0.23.0)
  10:32:32 9: [2016-05-20 10:32:32.146166] mirserver: Initial display 
configuration:
  10:32:32 9: [2016-05-20 10:32:32.146653] mirserver: 1.1: VGA 0.0" 0x0mm
  10:32:32 9: [2016-05-20 10:32:32.146953] mirserver: Current mode 1600x1600 
60.00Hz
  10:32:32 9: [2016-05-20 10:32:32.147272] mirserver: Preferred mode 1600x1600 
60.00Hz
  10:32:32 9: [2016-05-20 10:32:32.147527] mirserver: Logical position +0+0
  10:32:32 9: [2016-05-20 10:32:32.151831] mirserver: Using software cursor
  10:32:32 9: [2016-05-20 10:32:32.188313] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  10:32:32 9: [2016-05-20 10:32:32.190056] mirserver: Mir version 0.23.0
  10:32:43 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:114:
 Failure
  10:32:46 9: Value of: render
  10:32:47 9: Expected: is < 100
  10:32:47 9: Actual: 696.43 (of type float)
  10:32:47 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:115:
 Failure
  10:32:47 9: Value of: lag
  10:32:47 9: Expected: is > 50
  10:32:47 9: Actual: 0 (of type float)
  10:32:47 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  10:32:47 9: Value of: Test::HasFailure()
  10:32:47 9: Actual: true
  10:32:47 9: Expected: false
  10:32:47 9: Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 1.41 FPS, 
render time 696.43ms, buffer lag 0.00ms (3 buffers)}
  10:32:47 9: [ FAILED ] ClientLogging.reports_performance (8692 ms)

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  
mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1107/consoleFull

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1584605/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584603] Re: [ FAILED ] ClientLogging.reports_performance (Value of: nbuffers)

2016-05-25 Thread Daniel van Vugt
Fix committed to lp:mir/0.23 at revision 3500, scheduled for release in
Mir 0.23.0.

'Invalid' for the Ubuntu project as the bug never existed there.

** Also affects: mir/0.23
   Importance: Undecided
   Status: New

** Changed in: mir/0.23
   Importance: Undecided => Medium

** Changed in: mir/0.23
   Status: New => Fix Committed

** Changed in: mir/0.23
Milestone: None => 0.23.0

** Changed in: mir/0.23
 Assignee: (unassigned) => Daniel van Vugt (vanvugt)

** Changed in: mir
   Importance: Undecided => Medium

** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: mir (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1584603

Title:
  [ FAILED ] ClientLogging.reports_performance (Value of: nbuffers)

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  10:23:22 [ RUN ] ClientLogging.reports_performance
  10:23:22 [2016-05-20 10:18:25.500861] mirserver: Starting
  10:23:22 [2016-05-20 10:18:25.504499] mirserver: Selected driver: dummy 
(version 0.23.0)
  10:23:22 [2016-05-20 10:18:25.548064] mirserver: Using software cursor
  10:23:22 [2016-05-20 10:18:25.552896] mirserver: Initial display 
configuration:
  10:23:22 [2016-05-20 10:18:25.553212] mirserver: 1.1: VGA 0.0" 0x0mm
  10:23:22 [2016-05-20 10:18:25.553415] mirserver: Current mode 1600x1600 
60.00Hz
  10:23:22 [2016-05-20 10:18:25.553592] mirserver: Preferred mode 1600x1600 
60.00Hz
  10:23:22 [2016-05-20 10:18:25.553758] mirserver: Logical position +0+0
  10:23:22 [2016-05-20 10:18:25.580332] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  10:23:22 [2016-05-20 10:18:25.581448] mirserver: Mir version 0.23.0
  10:23:22 
/��BUILDDIR��/mir-0.23.0+xenial1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:116:
 Failure
  10:23:22 Value of: nbuffers
  10:23:22 Expected: is equal to 3
  10:23:22 Actual: 2 (of type int)
  10:23:22 
/��BUILDDIR��/mir-0.23.0+xenial1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  10:23:22 Value of: Test::HasFailure()
  10:23:22 Actual: true
  10:23:22 Expected: false
  10:23:22 Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 8.77 FPS, 
render time 3.51ms, buffer lag 120.30ms (2 buffers)}
  10:23:22 [ FAILED ] ClientLogging.reports_performance (4266 ms)

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial/1107/consoleFull

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1584603/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583970] Re: [testsfail] ClientLogging.reports_performance [Value of: lag]

2016-05-25 Thread Daniel van Vugt
Fix committed to lp:mir/0.23 at revision 3500, scheduled for release in
Mir 0.23.0.

'Invalid' for the Ubuntu project as the bug never existed there.

** Also affects: mir/0.23
   Importance: Undecided
   Status: New

** Changed in: mir/0.23
 Assignee: (unassigned) => Daniel van Vugt (vanvugt)

** Changed in: mir
   Importance: Undecided => Medium

** Changed in: mir/0.23
   Importance: Undecided => Medium

** Changed in: mir/0.23
Milestone: None => 0.23.0

** Changed in: mir/0.23
   Status: New => Fix Committed

** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: mir (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1583970

Title:
  [testsfail] ClientLogging.reports_performance [Value of: lag]

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  Doesn't seem to be quite the same thing as lp:1563148 (although
  probably related to the same underlying dependence on realtime).

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  mir/arch=i386,compiler=gcc,platform=mesa,release=xenial/1095/consoleFull

  17:18:25 13: [ RUN ] ClientLogging.reports_performance
  17:18:25 13: [2016-05-19 17:18:25.480624] mirserver: Starting
  17:18:25 13: [2016-05-19 17:18:25.483906] mirserver: Selected driver: dummy 
(version 0.23.0)
  17:18:25 13: [2016-05-19 17:18:25.517901] mirserver: Using software cursor
  17:18:25 13: [2016-05-19 17:18:25.523291] mirserver: Initial display 
configuration:
  17:18:25 13: [2016-05-19 17:18:25.523635] mirserver: 1.1: VGA 0.0" 0x0mm
  17:18:25 13: [2016-05-19 17:18:25.523889] mirserver: Current mode 1600x1600 
60.00Hz
  17:18:25 13: [2016-05-19 17:18:25.524090] mirserver: Preferred mode 1600x1600 
60.00Hz
  17:18:25 13: [2016-05-19 17:18:25.524267] mirserver: Logical position +0+0
  17:18:25 13: [2016-05-19 17:18:25.551303] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  17:18:25 13: [2016-05-19 17:18:25.552840] mirserver: Mir version 0.23.0
  17:18:29 13: 
/��BUILDDIR��/mir-0.23.0+xenial1124bzr3512/tests/acceptance-tests/test_client_logging.cpp:115:
 Failure
  17:18:29 13: Value of: lag
  17:18:29 13: Expected: is > 50
  17:18:29 13: Actual: 20.89 (of type float)
  17:18:29 13: 
/��BUILDDIR��/mir-0.23.0+xenial1124bzr3512/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  17:18:29 13: Value of: Test::HasFailure()
  17:18:29 13: Actual: true
  17:18:29 13: Expected: false
  17:18:29 13: Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 8.56 
FPS, render time 3.67ms, buffer lag 20.89ms (3 buffers)}
  17:18:29 13: [ FAILED ] ClientLogging.reports_performance (4524 ms)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1583970/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584605] Re: [ FAILED ] ClientLogging.reports_performance (Value of: render)

2016-05-25 Thread Daniel van Vugt
Fix committed to lp:mir/0.23 at revision 3500, scheduled for release in
Mir 0.23.0.

'Invalid' for the Ubuntu project as the bug never existed there.

** Also affects: mir/0.23
   Importance: Undecided
   Status: New

** Changed in: mir/0.23
   Importance: Undecided => Medium

** Changed in: mir/0.23
   Status: New => Fix Committed

** Changed in: mir/0.23
Milestone: None => 0.23.0

** Changed in: mir/0.23
 Assignee: (unassigned) => Daniel van Vugt (vanvugt)

** Changed in: mir
   Importance: Undecided => Medium

** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: mir (Ubuntu)
   Status: New => Invalid

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1584605

Title:
  [ FAILED ] ClientLogging.reports_performance (Value of: render)

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  Invalid

Bug description:
  10:32:32 9: [ RUN ] ClientLogging.reports_performance
  10:32:32 9: [2016-05-20 10:32:32.094437] mirserver: Starting
  10:32:32 9: [2016-05-20 10:32:32.101512] mirserver: Selected driver: dummy 
(version 0.23.0)
  10:32:32 9: [2016-05-20 10:32:32.146166] mirserver: Initial display 
configuration:
  10:32:32 9: [2016-05-20 10:32:32.146653] mirserver: 1.1: VGA 0.0" 0x0mm
  10:32:32 9: [2016-05-20 10:32:32.146953] mirserver: Current mode 1600x1600 
60.00Hz
  10:32:32 9: [2016-05-20 10:32:32.147272] mirserver: Preferred mode 1600x1600 
60.00Hz
  10:32:32 9: [2016-05-20 10:32:32.147527] mirserver: Logical position +0+0
  10:32:32 9: [2016-05-20 10:32:32.151831] mirserver: Using software cursor
  10:32:32 9: [2016-05-20 10:32:32.188313] mirserver: Selected input driver: 
mir:stub-input (version: 0.23.0)
  10:32:32 9: [2016-05-20 10:32:32.190056] mirserver: Mir version 0.23.0
  10:32:43 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:114:
 Failure
  10:32:46 9: Value of: render
  10:32:47 9: Expected: is < 100
  10:32:47 9: Actual: 696.43 (of type float)
  10:32:47 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:115:
 Failure
  10:32:47 9: Value of: lag
  10:32:47 9: Expected: is > 50
  10:32:47 9: Actual: 0 (of type float)
  10:32:47 9: 
/��BUILDDIR��/mir-0.23.0+vivid1136bzr3514/tests/acceptance-tests/test_client_logging.cpp:117:
 Failure
  10:32:47 9: Value of: Test::HasFailure()
  10:32:47 9: Actual: true
  10:32:47 9: Expected: false
  10:32:47 9: Log line = {[StringStreamLogger] perf: Rumpelstiltskin: 1.41 FPS, 
render time 696.43ms, buffer lag 0.00ms (3 buffers)}
  10:32:47 9: [ FAILED ] ClientLogging.reports_performance (8692 ms)

  https://mir-jenkins.ubuntu.com/job/build-2-binpkg-
  
mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1107/consoleFull

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1584605/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1581368] Re: [regression] MIR_CLIENT_PERF_REPORT is showing bogus render times and buffer lag

2016-05-25 Thread Daniel van Vugt
Fix committed to lp:mir/0.23 at revision 3499, scheduled for release in
Mir 0.23.0

** Changed in: mir/0.23
   Status: Triaged => Fix Committed

** Also affects: mir (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1581368

Title:
  [regression] MIR_CLIENT_PERF_REPORT is showing bogus render times and
  buffer lag

Status in Mir:
  Fix Committed
Status in Mir 0.23 series:
  Fix Committed
Status in mir package in Ubuntu:
  New

Bug description:
  MIR_CLIENT_PERF_REPORT is showing bogus render times:

  $ env MIR_CLIENT_PERF_REPORT=log bin/mir_demo_client_egltriangle
  ...
  [2016-05-13 16:20:12.972236] perf: mir_demo_client_egltriangle.bin: 62.68 
FPS, render time 23216586.29ms, buffer lag 0.00ms (3 buffers)
  [2016-05-13 16:20:13.973084] perf: mir_demo_client_egltriangle.bin: 60.00 
FPS, render time 23217610.93ms, buffer lag 0.00ms (3 buffers)
  [2016-05-13 16:20:14.973926] perf: mir_demo_client_egltriangle.bin: 60.00 
FPS, render time 23218611.88ms, buffer lag 0.00ms (3 buffers)
  ^CSignal 2 received. Good night.

  I haven't bisected it yet but know:
  FAULTY: Mir 0.24 lp:mir
  WORKING: Mir 0.21 (xenial)

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1581368/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1054927] Re: Autoupdater fills /boot and crashes because old kernel images are never removed

2016-05-25 Thread Luke Faraone
*** This bug is a duplicate of bug 798414 ***
https://bugs.launchpad.net/bugs/798414

** This bug has been marked a duplicate of bug 798414
   update-initramfs should produce a more helpful error when there isn't enough 
 free space

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1054927

Title:
  Autoupdater fills /boot and crashes because old kernel images are
  never removed

Status in unattended-upgrades package in Ubuntu:
  Fix Released
Status in update-manager package in Ubuntu:
  Confirmed

Bug description:
  Steps to reproduce:
  1) Install Ubuntu with the default LVM encryption recipe
  2) Set Ubuntu to automatically install security updates on the background
  3) Use ubuntu for 5 months

  Actual results:
  The system automatically installs security updates for the kernel under 
/boot. It's never removes previous kernel images. After about five months, the 
/boot partition created by the install recipe (i.e. sized according to the 
judgment of Ubuntu developers—not me) fills up and the unattended updater 
crashes during the next kernel update.

  Expected results:
  Expected the unattended updater to leave the nearest kernel and the previous 
one on /boot and to automatically remove older kernel images. Expected the 
system installer to set up /boot such that it never runs out of space when the 
system updater operates automatically.

  For workaround and sytem repair, see
  https://help.ubuntu.com/community/Lubuntu/Documentation/RemoveOldKernels

  ProblemType: Bug
  DistroRelease: Ubuntu 12.04
  Package: update-manager 1:0.156.14.9
  ProcVersionSignature: Ubuntu 3.2.0-31.50-generic 3.2.28
  Uname: Linux 3.2.0-31-generic x86_64
  NonfreeKernelModules: nvidia
  ApportVersion: 2.0.1-0ubuntu13
  Architecture: amd64
  Date: Sun Sep 23 12:53:52 2012
  InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 
(20120425)
  PackageArchitecture: all
  SourcePackage: update-manager
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1054927/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1323593] Re: Unattended upgrades crash

2016-05-25 Thread Luke Faraone
*** This bug is a duplicate of bug 798414 ***
https://bugs.launchpad.net/bugs/798414

** This bug is no longer a duplicate of bug 1054927
   Autoupdater fills /boot and crashes because old kernel images are never 
removed
** This bug has been marked a duplicate of bug 798414
   update-initramfs should produce a more helpful error when there isn't enough 
 free space

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1323593

Title:
  Unattended upgrades crash

Status in unattended-upgrades package in Ubuntu:
  Confirmed

Bug description:
  Based this bug report upon https://bugs.launchpad.net/ubuntu/+source
  /unattended-upgrades/+bug/1052360/comments/17

  Installed latest updates on Xubuntu Trusty, immediately during the
  update process the system detected an error, after reboot an error
  report again emerged, hence reporting this bug as suggested above.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: unattended-upgrades 0.82.1ubuntu2
  ProcVersionSignature: Ubuntu 3.13.0-27.50-generic 3.13.11
  Uname: Linux 3.13.0-27-generic x86_64
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: amd64
  CurrentDesktop: XFCE
  Date: Tue May 27 12:40:58 2014
  InstallationDate: Installed on 2014-05-17 (10 days ago)
  InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Release amd64 
(20140416.2)
  PackageArchitecture: all
  SourcePackage: unattended-upgrades
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1323593/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1357093] Re: Kernels not autoremoving, causing out of space error on LVM or Encrypted installation or on any installation, when /boot partition gets full

2016-05-25 Thread Luke Faraone
*** This bug is a duplicate of bug 798414 ***
https://bugs.launchpad.net/bugs/798414

** This bug is no longer a duplicate of bug 1054927
   Autoupdater fills /boot and crashes because old kernel images are never 
removed
** This bug has been marked a duplicate of bug 798414
   update-initramfs should produce a more helpful error when there isn't enough 
 free space

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unattended-upgrades in
Ubuntu.
https://bugs.launchpad.net/bugs/1357093

Title:
  Kernels not autoremoving, causing out of space error on LVM or
  Encrypted installation or on any installation, when /boot partition
  gets full

Status in unattended-upgrades package in Ubuntu:
  Fix Committed

Bug description:
  Currently if one chooses to use LVM or encrypted install, a /boot
  partition is created of 236Mb

  Once kernel updates start being released this partition soon fills
  until people are left unable to upgrade.

  While you and I might know that we need to watch partition space, many
  of the people we have installing think that a windows disk is a disk
  and not a partition, education is probably the key - but in the
  meantime support venues keep needing to deal with the fact the
  partition is too small and/or old kernels are not purged as new ones
  install.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unattended-upgrades/+bug/1357093/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1449295] Re: [Icons] Transparent app icon backgrounds look bad

2016-05-25 Thread Michael Terry
I've added a task for ubuntu-system-settings, because I just remembered
that it also displays app icons: in Storage, App Permissions, and
Notifications.

But note that I'm still waiting on design input.  Copied from the
attached MP:

Paty when I asked about this branch: "Regarding the opinion on the
colour choice for the icons BG, I pinged Mattheiu, who is the icon
designer and he is gonna look into this and hopefully, comment on the
bug ticket. I'm sorry I'm not able to help more on this. I think
porcelain should work well, but I rather not make visual decisions... :
P"

** Also affects: ubuntu-system-settings (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity8 in Ubuntu.
https://bugs.launchpad.net/bugs/1449295

Title:
  [Icons] Transparent app icon backgrounds look bad

Status in Ubuntu UX:
  Triaged
Status in ubuntu-system-settings package in Ubuntu:
  New
Status in unity8 package in Ubuntu:
  Incomplete

Bug description:
  I uploaded an app with an icon that had a transparent background.

  In the dash, the wallpaper is visible behind the icon.  And in the
  launcher, the icon is presented on a dark background, making it look
  very different than on dash with its white background.

  Neither looks great, and makes the shell look a little janky.
  Obviously, the app author should just fix their icon.  But if they DO
  give us a bad icon, we should fix it for them, else we look bad too.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu-ux/+bug/1449295/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583624] Re: Mir cannot open a tty when started by lightdm

2016-05-25 Thread Robert Ancell
Josh, could you try building LightDM from lp:~robert-ancell/lightdm/new-
mir-socket-variable and confirm if that fixes the issue?

** Also affects: lightdm (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Changed in: lightdm (Ubuntu Xenial)
   Importance: Undecided => High

** Changed in: lightdm (Ubuntu Xenial)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

** Also affects: lightdm/1.18
   Importance: Undecided
   Status: New

** Changed in: lightdm/1.18
   Importance: Undecided => High

** Changed in: lightdm
   Status: Incomplete => In Progress

** Changed in: lightdm/1.18
   Status: New => In Progress

** Changed in: lightdm (Ubuntu)
   Status: New => In Progress

** Changed in: lightdm (Ubuntu Xenial)
   Status: New => Confirmed

** Changed in: lightdm (Ubuntu Xenial)
   Status: Confirmed => Triaged

** Changed in: lightdm (Ubuntu)
   Status: In Progress => Triaged

** Changed in: lightdm/1.18
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

** Changed in: lightdm/1.18
Milestone: None => 1.18.2

** Changed in: lightdm
Milestone: None => 1.19.1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1583624

Title:
  Mir cannot open a tty when started by lightdm

Status in Light Display Manager:
  In Progress
Status in Light Display Manager 1.18 series:
  In Progress
Status in lightdm package in Ubuntu:
  Triaged
Status in lightdm source package in Xenial:
  Triaged

Bug description:
  From mir-greeter.log (and with minor instrumentation from RAOF)

  ERROR: QMirServer - Mir failed to start
  qtmir.screens: ScreenController::ScreenController
  qtmir.mir: MirServer created
  qtmir.mir: Command line arguments passed to Qt: ("/usr/bin/unity8", 
"--mode=greeter")
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/server/graphics/default_configuration.cpp(133):
 Throw in function 
mir::DefaultServerConfiguration::the_graphics_platform()::
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Exception while creating graphics platform
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/platforms/mesa/server/kms/linux_virtual_terminal.cpp(238):
 Throw in function int 
mir::graphics::mesa::LinuxVirtualTerminal::find_active_vt_number()
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Failed to find the current VT. Tried:
/dev/tty0:
Failed to open read-only: Permission denied
Failed to open write-only: Permission denied
/dev/tty:
Failed to open read-only: No such device or address
Failed to open write-only: No such device or address

  
  This occurs when trying to start the unity8 greeter under unity system 
compositor

To manage notifications about this bug go to:
https://bugs.launchpad.net/lightdm/+bug/1583624/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583624] Re: Mir cannot open a tty when started by lightdm

2016-05-25 Thread Launchpad Bug Tracker
** Branch linked: lp:~robert-ancell/lightdm/new-mir-socket-variable

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1583624

Title:
  Mir cannot open a tty when started by lightdm

Status in Light Display Manager:
  In Progress
Status in Light Display Manager 1.18 series:
  In Progress
Status in lightdm package in Ubuntu:
  Triaged
Status in lightdm source package in Xenial:
  Triaged

Bug description:
  From mir-greeter.log (and with minor instrumentation from RAOF)

  ERROR: QMirServer - Mir failed to start
  qtmir.screens: ScreenController::ScreenController
  qtmir.mir: MirServer created
  qtmir.mir: Command line arguments passed to Qt: ("/usr/bin/unity8", 
"--mode=greeter")
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/server/graphics/default_configuration.cpp(133):
 Throw in function 
mir::DefaultServerConfiguration::the_graphics_platform()::
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Exception while creating graphics platform
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/platforms/mesa/server/kms/linux_virtual_terminal.cpp(238):
 Throw in function int 
mir::graphics::mesa::LinuxVirtualTerminal::find_active_vt_number()
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Failed to find the current VT. Tried:
/dev/tty0:
Failed to open read-only: Permission denied
Failed to open write-only: Permission denied
/dev/tty:
Failed to open read-only: No such device or address
Failed to open write-only: No such device or address

  
  This occurs when trying to start the unity8 greeter under unity system 
compositor

To manage notifications about this bug go to:
https://bugs.launchpad.net/lightdm/+bug/1583624/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583624] Re: Mir cannot open a tty when started by lightdm

2016-05-25 Thread Robert Ancell
What appears to be happening is the greeter is not aware it is running
inside Unity System Compositor and so it trying to directly access the
video drivers. This fails because it is not running as root.

The cause seems to be LightDM is setting MIR_SOCKET to the name of the
U-S-C socket but this no longer works (possibly due to a change in bug
1290345).

The solution is to set MIR_SERVER_HOST_SOCKET instead, which is the
recommended/correct variable to tell a Mir server the socket of the
parent server (U-S-C in this case) to connect to.

** Also affects: lightdm (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: lightdm
   Importance: Undecided => High

** Changed in: lightdm (Ubuntu)
   Importance: Undecided => High

** Changed in: lightdm (Ubuntu)
 Assignee: (unassigned) => Robert Ancell (robert-ancell)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lightdm in Ubuntu.
https://bugs.launchpad.net/bugs/1583624

Title:
  Mir cannot open a tty when started by lightdm

Status in Light Display Manager:
  In Progress
Status in Light Display Manager 1.18 series:
  In Progress
Status in lightdm package in Ubuntu:
  Triaged
Status in lightdm source package in Xenial:
  Triaged

Bug description:
  From mir-greeter.log (and with minor instrumentation from RAOF)

  ERROR: QMirServer - Mir failed to start
  qtmir.screens: ScreenController::ScreenController
  qtmir.mir: MirServer created
  qtmir.mir: Command line arguments passed to Qt: ("/usr/bin/unity8", 
"--mode=greeter")
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/server/graphics/default_configuration.cpp(133):
 Throw in function 
mir::DefaultServerConfiguration::the_graphics_platform()::
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Exception while creating graphics platform
  ERROR: 
/home/josh/Documents/mir/verbose-error-for-vt-finding/src/platforms/mesa/server/kms/linux_virtual_terminal.cpp(238):
 Throw in function int 
mir::graphics::mesa::LinuxVirtualTerminal::find_active_vt_number()
  Dynamic exception type: 
boost::exception_detail::clone_impl
  std::exception::what: Failed to find the current VT. Tried:
/dev/tty0:
Failed to open read-only: Permission denied
Failed to open write-only: Permission denied
/dev/tty:
Failed to open read-only: No such device or address
Failed to open write-only: No such device or address

  
  This occurs when trying to start the unity8 greeter under unity system 
compositor

To manage notifications about this bug go to:
https://bugs.launchpad.net/lightdm/+bug/1583624/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Steve Beattie
Yes, my apologies, the upstream libc fixes for CVE-2014-9761 did some
reworking of functions to eliminate some repeated vulnerable code, using
internal functions to do the work instead. Unfortunately, this did
introduce new function references between libc and libm, causing the
problems seen above. Unfortunately, these changes were applied to libc
in Ubuntu 14.04 LTS and Ubuntu 15.10 as well, so I'm surprised the same
problem was not seen there, too. There was no update for Ubuntu 16.04
LTS, so no issues should be seen there.

Joi: yes, the reboot motd notification was triggered with this update
(and will be for future libc updates). That doesn't help you if you
can't log in to see it. :(

** CVE added: http://www.cve.mitre.org/cgi-
bin/cvename.cgi?name=2014-9761

** Summary changed:

- PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol 
__strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link 
time reference
+ libc on 2016-05-25 causes Apache not to restart, libm.so.6: symbol 
__strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link 
time reference

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  libc on 2016-05-25 causes Apache not to restart, libm.so.6: symbol
  __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6
  with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1574079] Re: USB audio device is not recognized after startup in 16.04

2016-05-25 Thread Mario Limonciello
Hi @Jay and @Kingfriday,

If this is continuously reproducible for you, it would be great to get some 
debug output from fwupd to figure out why this is happening.  I unfortunately 
haven't been able to reproduce it using my USB audio device (Dell TB15 dock).
Can you try to follow these steps to get a debug log?

1) sudo killall fwupd
2) sudo /usr/lib/x86_64-linux-gnu/fwupd/fwupd -v 2>&1 | tee fwupd_debug.log

After you've captured the log, can you please report this to the upstream issue 
tracker?  Ubuntu isn't carrying any patches that should cause this, so it 
should be reported upstream and fixed there.  We can then backport the patch 
that fixes it to Ubuntu.
https://github.com/hughsie/fwupd/issues

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1574079

Title:
  USB audio device is not recognized after startup in 16.04

Status in alsa-driver package in Ubuntu:
  Invalid
Status in fwupd package in Ubuntu:
  Confirmed

Bug description:
  Hi @all,

  I used the same USB audio device in all previous Ubuntu versions
  (Focusrite Scarlet 2i2). It is supposed to be class compliant and
  works an all distros flawless (even RPI2 and OSMC). After upgrading
  from 15.10 to 16.04 it stopped to work: after start-up it does not
  show up as an audio device at all (also not recognized by aplay -l). I
  can workaround this by unplugging it and plugging it in again after
  Ubuntu booted up (strangely 2 times unplug/re-plug). After 2nd time
  plugging it in again it shows up and works great without any further
  issues until next restart.

  Maybe worth to note that I recognized today that fwupd uses
  continuously 100% CPU load, so I just killed it today. My Hardware
  (Main-board/CPU) is a bit older (Intel E8400), so could probably be
  some compatibility issue...

  regards,
  Tobias

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic i686
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC1D0p:   tobias 1553 F...m pulseaudio
   /dev/snd/controlC1:  tobias 1553 F pulseaudio
   /dev/snd/controlC0:  tobias 1553 F pulseaudio
   /dev/snd/controlC2:  tobias 1553 F pulseaudio
  CurrentDesktop: Unity
  Date: Sat Apr 23 20:09:04 2016
  InstallationDate: Installed on 2015-09-19 (217 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release i386 (20150422)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  UpgradeStatus: Upgraded to xenial on 2016-04-22 (0 days ago)
  dmi.bios.date: 09/30/2008
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1238
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5B-Deluxe
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1238:bd09/30/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5B-Deluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.name: System Product Name
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1574079/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585687] Re: Screen blanks with dual 4k displays when cursor enters built-in display

2016-05-25 Thread David
Another datapoint:
After the display is working, I left the computer and returned to the lock 
screen.  At the lock screen, the internal display blanked when the cursor was 
in the window.  After logging in, the behavior persisted until I opened 
unity-control-center->displays and clicked "apply" without changing any 
settings.  Sometimes I have to do this twice to solve the screen blanking issue.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1585687

Title:
  Screen blanks with dual 4k displays when cursor enters built-in
  display

Status in xorg package in Ubuntu:
  New

Bug description:
  I'm not sure where to look for more information, but happy to debug
  further.  I find that when both 4k displays are active, when the mouse
  cursor is within the external monitor area, both displays are on.
  When the mouse cursor enters the laptop's display screen area, the
  laptop screen either blanks or turns off (not sure which).

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  BootLog:
   
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Wed May 25 10:37:41 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation Skylake Integrated Graphics [8086:191b] (rev 06) (prog-if 
00 [VGA controller])
 Subsystem: Samsung Electronics Co Ltd Skylake Integrated Graphics 
[144d:c12b]
 Subsystem: Samsung Electronics Co Ltd GM107M [GeForce GTX 950M] [144d:c12b]
  InstallationDate: Installed on 2015-12-22 (154 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: SAMSUNG ELECTRONICS CO., LTD. 940Z5L
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic.efi.signed 
root=UUID=24c27814-5135-4a80-9ce1-b932e2513949 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/11/2016
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P06AFC.091.160311.SH
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: NP940Z5L-X01US
  dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
  dmi.board.version: SGL8554A1H-C01-G001-S0001+10.0.10240
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 9
  dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP06AFC.091.160311.SH:bd03/11/2016:svnSAMSUNGELECTRONICSCO.,LTD.:pn940Z5L:pvrP06AFC:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP940Z5L-X01US:rvrSGL8554A1H-C01-G001-S0001+10.0.10240:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
  dmi.product.name: 940Z5L
  dmi.product.version: P06AFC
  dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
  version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Wed May 25 09:50:07 2016
  xserver.configfile: default
  xserver.errors:
   Failed to load module "nvidia" (module does not exist, 0)
   Failed to load module "nvidia" (module does not exist, 0)
   Unknown chipset: NV117
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id   16714 
   vendor SDC
  xserver.version: 2:1.18.3-1ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1585687/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] Re: Clicking on links doesn't work

2016-05-25 Thread Renato Araujo Oliveira Filho
** Branch linked: lp:~renatofilho/address-book-app/fix-1585791

** Changed in: messaging-app (Ubuntu)
   Status: Confirmed => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to address-book-app in
Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in address-book-app package in Ubuntu:
  New
Status in messaging-app package in Ubuntu:
  In Progress

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/address-book-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Trevor Bradley
Verified. I swore one of my affected servers was 14.04, but it was
actually 12.04.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread BrandonTomlinson
no 14.04/16.04 servers were impacted, I should say.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565772] Re: Allow plugins to decide which username to set on new accounts

2016-05-25 Thread Mathew Hodson
gnome-control-center-signon (0.1.9+16.04.20160405-0ubuntu1) xenial;
urgency=medium

  [ Alberto Mardegan ]
  * Allow plugins to retrieve username (LP: #1565772)
  * debian/libaccount-plugin-1.0-0.symbols
- new symbols

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth   Tue, 05 Apr 2016 12:57:57
+

** Changed in: gnome-control-center-signon (Ubuntu)
   Status: In Progress => Fix Released

** Changed in: gnome-control-center-signon (Ubuntu Xenial)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-control-center-
signon in Ubuntu.
https://bugs.launchpad.net/bugs/1565772

Title:
  Allow plugins to decide which username to set on new accounts

Status in Online Accounts: Account plugins:
  Fix Released
Status in Canonical System Image:
  Fix Committed
Status in Online Accounts: GNOME Control Center:
  Fix Released
Status in webapps-sprint:
  Fix Committed
Status in account-plugins package in Ubuntu:
  Fix Released
Status in gnome-control-center-signon package in Ubuntu:
  Fix Released
Status in account-plugins source package in Xenial:
  New
Status in gnome-control-center-signon source package in Xenial:
  New

Bug description:
  This bug is related to bug 1547647, even though it makes sense in any
  case.

  Currently, the ApOAuthPlugin class in libaccount-plugin gets the
  username from the SignonIdentity, which in turn gets it from signon-
  ui, which in the current WebKit1 implementation gets it from the DOM
  of the login webpage. This is a hack, it's fragile, not trivial to
  port to the Oxide web engine, and possibly against some providers'
  guidelines.

  We should retrieve the username using some REST API provided by the
  service, and in order to do so we need to extend libaccounts-plugin
  with some hooks which subclasses can use to get the username.

  Once we fix this we can also get rid of the files /etc/signon-ui
  /webkit-options.d/, which are conflicting with those installed by the
  KDE account plugins packages.


  SRU information
  ===

  [Impact] The same file /etc/signon-ui/webkit-
  options.d/www.facebook.com.conf is installed by the account-plugin-
  facebook package (used by Unity) and by kaccount-providers (used by
  KDE). See this bug's duplicates to see actual bug reports.

  [Test Case] Install both account-plugin-facebook and kaccount-
  providers and you'll get the conflict.

  [Regression Potential] Users running KDE will be completely unaffected
  by this. Users running Unity might see a change when creating accounts
  in System Settings->Online Accounts: with this bugfix, the account's
  display name is obtained by making a REST API call to the remote
  service, rather than by scrapping the DOM of the server webpages
  (which is a hack, and prone to errors if the providers' webpage
  changes). The new way of retrieving the username is the proper one,
  and it's been tested to work reliably. In any case, the worst thing
  that might happen is that accounts get created with an empty display
  name, which is mostly an aesthetic problem (the display name is used
  only for UI purposes).

To manage notifications about this bug go to:
https://bugs.launchpad.net/account-plugins/+bug/1565772/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584069] Re: change_profile rules need a modifier to allow non-secureexec transitions

2016-05-25 Thread Tyler Hicks
Patches out for review on the list:

  https://lists.ubuntu.com/archives/apparmor/2016-May/009708.html

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor in Ubuntu.
https://bugs.launchpad.net/bugs/1584069

Title:
  change_profile rules need a modifier to allow non-secureexec
  transitions

Status in AppArmor:
  In Progress
Status in apparmor package in Ubuntu:
  Triaged

Bug description:
  As it stands today, all exec transitions triggered by a change_profile
  rule cause the AT_SECURE flag in the auxiliary vector to be set due to
  the kernel function apparmor_bprm_secureexec() returning 1 while
  setting up the execution environment. This causes libc to always scrub
  the environment variables during such an exec transition.

  There should be a way to indicate, in the policy language, that
  AT_SECURE should not be triggered. This would be equivalent to the
  file rule type having the Px permission to trigger AT_SECURE and the
  px permission to not trigger it. The file rule type even has an
  'unsafe' modifier keyword that could be reused as the change_profile
  modifier keyword.

  Steps to show that AT_SECURE is being set:

  # Build a test program to dump the AT_SECURE flag
  $ cat < print_at_secure.c
  #include 
  #include 

  int main(void)
  {
printf("AT_SECURE = %lu\n", getauxval(AT_SECURE));
return 0;
  }
  EOF
  $ gcc -o print_at_secure print_at_secure.c

  # Load the test profile that allows all file accesses and any change_profile 
operations
  $ echo "profile test { file, change_profile, }" | sudo apparmor_parser -qr

  # Run bash under the test profile
  $ aa-exec -p test -- bash

  # Show the AT_SECURE is not set on exec
  $ ./print_at_secure
  AT_SECURE = 0

  # Set up an exec transition (change_profile from the test profile back to the 
test profile)
  $ echo "exec test" > /proc/self/attr/exec

  # See that AT_SECURE is now set on exec
  $ ./print_at_secure
  AT_SECURE = 1

To manage notifications about this bug go to:
https://bugs.launchpad.net/apparmor/+bug/1584069/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565772] Re: Allow plugins to decide which username to set on new accounts

2016-05-25 Thread Mathew Hodson
account-plugins (0.13+16.04.20160405-0ubuntu1) xenial; urgency=medium

  [ Alberto Mardegan ]
  * After the authentication, retrieve the username in Google, Facebook,
Flickr and Twitter plugins (LP: #1565772)
  * debian/control, debian/libaccount-plugin-facebook.install,
debian/libaccount-plugin-flickr.install,
debian/libaccount-plugin-twitter.install:
add packages containing plugin modules.
  * debian/account-plugin-facebook.install,
debian/account-plugin-flickr.install,
debian/account-plugin-twitter.install:
remove unneeded webkit-options files.

  [ CI Train Bot ]
  * No-change rebuild.

 -- David Barth   Tue, 05 Apr 2016 12:57:47
+

** Changed in: account-plugins (Ubuntu)
   Status: In Progress => Fix Released

** Changed in: account-plugins (Ubuntu Xenial)
   Importance: Undecided => Critical

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-control-center-
signon in Ubuntu.
https://bugs.launchpad.net/bugs/1565772

Title:
  Allow plugins to decide which username to set on new accounts

Status in Online Accounts: Account plugins:
  Fix Released
Status in Canonical System Image:
  Fix Committed
Status in Online Accounts: GNOME Control Center:
  Fix Released
Status in webapps-sprint:
  Fix Committed
Status in account-plugins package in Ubuntu:
  Fix Released
Status in gnome-control-center-signon package in Ubuntu:
  Fix Released
Status in account-plugins source package in Xenial:
  New
Status in gnome-control-center-signon source package in Xenial:
  New

Bug description:
  This bug is related to bug 1547647, even though it makes sense in any
  case.

  Currently, the ApOAuthPlugin class in libaccount-plugin gets the
  username from the SignonIdentity, which in turn gets it from signon-
  ui, which in the current WebKit1 implementation gets it from the DOM
  of the login webpage. This is a hack, it's fragile, not trivial to
  port to the Oxide web engine, and possibly against some providers'
  guidelines.

  We should retrieve the username using some REST API provided by the
  service, and in order to do so we need to extend libaccounts-plugin
  with some hooks which subclasses can use to get the username.

  Once we fix this we can also get rid of the files /etc/signon-ui
  /webkit-options.d/, which are conflicting with those installed by the
  KDE account plugins packages.


  SRU information
  ===

  [Impact] The same file /etc/signon-ui/webkit-
  options.d/www.facebook.com.conf is installed by the account-plugin-
  facebook package (used by Unity) and by kaccount-providers (used by
  KDE). See this bug's duplicates to see actual bug reports.

  [Test Case] Install both account-plugin-facebook and kaccount-
  providers and you'll get the conflict.

  [Regression Potential] Users running KDE will be completely unaffected
  by this. Users running Unity might see a change when creating accounts
  in System Settings->Online Accounts: with this bugfix, the account's
  display name is obtained by making a REST API call to the remote
  service, rather than by scrapping the DOM of the server webpages
  (which is a hack, and prone to errors if the providers' webpage
  changes). The new way of retrieving the username is the proper one,
  and it's been tested to work reliably. In any case, the worst thing
  that might happen is that accounts get created with an empty display
  name, which is mostly an aesthetic problem (the display name is used
  only for UI purposes).

To manage notifications about this bug go to:
https://bugs.launchpad.net/account-plugins/+bug/1565772/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread BrandonTomlinson
We had around 60 12.04 servers impacted today, no 14.04 or newer web
servers.

Specifically it looks like an update race condition where libapache2
-mod-php (which restarts/reloads apache) is updated before the  libc6
package.

We could prove this theory by doing 'apt-get install libc6 && apt-get
update' to see, but I don't have the ability to test this myself.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Trevor Bradley
Just a quick note that this bug affected both my Ubuntu 12.04 and 14.04
web servers today.  My 16.04 servers appear to be unaffected.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1560759] Re: packagekitd crashed with SIGSEGV in strlen()error just appeared at log in no apps open

2016-05-25 Thread Marcus
*** This bug is a duplicate of bug 1572778 ***
https://bugs.launchpad.net/bugs/1572778

I have the same problem, using Xenial 16.04 (X64).

Seems  solution is to install python3-aptdaemon.pkcompat, which removes
packagekit.

'sudo apt-get install python3-aptdaemon.pkcompat'

Reading package lists... Done
Building dependency tree   
Reading state information... Done
The following packages will be REMOVED
  packagekit
The following NEW packages will be installed
  python3-aptdaemon.pkcompat
0 to upgrade, 1 to newly install, 1 to remove and 0 not to upgrade.
Need to get 0 B/23.1 kB of archives.
After this operation, 921 kB disk space will be freed.
Do you want to continue? [Y/n] y
dpkg: packagekit: dependency problems, but removing anyway as you requested:
 packagekit-tools depends on python3-aptdaemon.pkcompat | 
packagekit-system-interface | packagekit (= 0.8.17-4ubuntu6~gcc5.4ubuntu1); 
however:
  Package python3-aptdaemon.pkcompat is not installed.
  Package packagekit-system-interface is not installed.
  Package packagekit which provides packagekit-system-interface is to be 
removed.
  Package python3-aptdaemon.pkcompat which provides packagekit-system-interface 
is not installed.
  Package packagekit is to be removed.
 packagekit-tools depends on python3-aptdaemon.pkcompat | 
packagekit-system-interface | packagekit (= 0.8.17-4ubuntu6~gcc5.4ubuntu1); 
however:
  Package python3-aptdaemon.pkcompat is not installed.
  Package packagekit-system-interface is not installed.
  Package packagekit which provides packagekit-system-interface is to be 
removed.
  Package python3-aptdaemon.pkcompat which provides packagekit-system-interface 
is not installed.
  Package packagekit is to be removed.
 syste
(Reading database ... 429128 files and directories currently installed.)
Removing packagekit (0.8.17-4ubuntu6~gcc5.4ubuntu1) ...
Processing triggers for dbus (1.10.6-1ubuntu3) ...
Selecting previously unselected package python3-aptdaemon.pkcompat.
(Reading database ... 429095 files and directories currently installed.)
Preparing to unpack 
.../python3-aptdaemon.pkcompat_1.1.1+bzr982-0ubuntu14_all.deb ...
Unpacking python3-aptdaemon.pkcompat (1.1.1+bzr982-0ubuntu14) ...
Processing triggers for dbus (1.10.6-1ubuntu3) ...
Setting up python3-aptdaemon.pkcompat (1.1.1+bzr982-0ubuntu14) ...

After this, system info works fine and no more crashing.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to packagekit in Ubuntu.
https://bugs.launchpad.net/bugs/1560759

Title:
  packagekitd crashed with SIGSEGV in strlen()error just appeared at log
  in no apps open

Status in packagekit package in Ubuntu:
  Confirmed

Bug description:
  Error appears only at log in, no apps open.. Error pops up before
  Launch bar loads!

  ProblemType: Crash
  DistroRelease: Ubuntu 16.04
  Package: packagekit 0.8.17-4ubuntu6~gcc5.4ubuntu1
  ProcVersionSignature: Ubuntu 4.4.0-15.31-generic 4.4.6
  Uname: Linux 4.4.0-15-generic x86_64
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  Date: Tue Mar 22 00:09:17 2016
  ExecutablePath: /usr/lib/packagekit/packagekitd
  InstallationDate: Installed on 2015-12-09 (104 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  ProcCmdline: /usr/lib/packagekit/packagekitd
  ProcEnviron:
   LANG=en_CA.UTF-8
   LANGUAGE=en_CA:en
   PATH=(custom, no user)
   SHELL=/bin/sh
  Signal: 11
  SourcePackage: packagekit
  StacktraceTop:
   strlen () at ../sysdeps/x86_64/strlen.S:106
   __add_to_environ (name=0x7f49a27719ef "http_proxy", value=0x0, combined=0x0, 
replace=1) at setenv.c:131
   AptIntf::init() () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? () from 
/usr/lib/x86_64-linux-gnu/packagekit-backend/libpk_backend_aptcc.so
   ?? ()
  Title: packagekitd crashed with SIGSEGV in strlen()
  UpgradeStatus: Upgraded to xenial on 2016-03-22 (0 days ago)
  UserGroups:

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/packagekit/+bug/1560759/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] Re: Clicking on links doesn't work

2016-05-25 Thread Tiago Salem Herrmann
This is the commit that broke clicking the links:

http://bazaar.launchpad.net/~phablet-team/address-book-
app/trunk/revision/586

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to address-book-app in
Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in address-book-app package in Ubuntu:
  New
Status in messaging-app package in Ubuntu:
  Confirmed

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/address-book-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] Re: Clicking on links doesn't work

2016-05-25 Thread Renato Araujo Oliveira Filho
** Changed in: messaging-app (Ubuntu)
 Assignee: (unassigned) => Renato Araujo Oliveira Filho (renatofilho)

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to address-book-app in
Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in address-book-app package in Ubuntu:
  New
Status in messaging-app package in Ubuntu:
  Confirmed

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/address-book-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] Re: Clicking on links doesn't work

2016-05-25 Thread Michał Sawicz
Offending commit: https://bazaar.launchpad.net/~phablet-team/address-
book-app/trunk/revision/586

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to address-book-app in
Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in address-book-app package in Ubuntu:
  New
Status in messaging-app package in Ubuntu:
  Confirmed

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/address-book-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] Re: Clicking on links doesn't work

2016-05-25 Thread Michał Sawicz
** Also affects: address-book-app (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to address-book-app in
Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in address-book-app package in Ubuntu:
  New
Status in messaging-app package in Ubuntu:
  Confirmed

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/address-book-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585791] [NEW] Clicking on links doesn't work

2016-05-25 Thread Michał Sawicz
Public bug reported:

Links in text messages don't work any more since krillin image 342.

the diff:

http://pastebin.ubuntu.com/16693187/

** Affects: messaging-app (Ubuntu)
 Importance: Undecided
 Status: Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to messaging-app in Ubuntu.
https://bugs.launchpad.net/bugs/1585791

Title:
  Clicking on links doesn't work

Status in messaging-app package in Ubuntu:
  Confirmed

Bug description:
  Links in text messages don't work any more since krillin image 342.

  the diff:

  http://pastebin.ubuntu.com/16693187/

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/messaging-app/+bug/1585791/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1537211] Re: clean up /var/log/udev.log

2016-05-25 Thread Bug Watch Updater
** Changed in: libmtp (Debian)
   Status: Fix Committed => Fix Released

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apport in Ubuntu.
https://bugs.launchpad.net/bugs/1537211

Title:
  clean up /var/log/udev.log

Status in apport package in Ubuntu:
  Fix Released
Status in systemd package in Ubuntu:
  Fix Released
Status in apport source package in Xenial:
  Fix Released
Status in systemd source package in Xenial:
  Fix Released
Status in libmtp package in Debian:
  Fix Released

Bug description:
  The udev package contains an upstart job, /etc/init/udevmonitor.conf,
  whose purpose is to record boot-time information about devices in a
  log file for future debugging.  There is no equivalent systemd unit
  for this job, so with the move to systemd, we now lose this useful
  debugging information.  I'm not aware of any other way under systemd
  to get a replay of the boot-time kernel events.  If there is one,
  that's fine, but otherwise there should be a systemd unit equivalent
  here that can give us this log.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apport/+bug/1537211/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585774] Re: Cannot save.jpg from web page

2016-05-25 Thread Bob Harvey
Now, my understanding of *nix is that file types are not identified by
extension but by 'magic' from the first sector, and these don't seem to
be .jpg files

** Attachment added: "What ends up in the download area"
   
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+attachment/4670370/+files/screenshot20160525_203044094.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1585774

Title:
  Cannot save.jpg from web page

Status in webbrowser-app package in Ubuntu:
  New

Bug description:
   Bear with me on this, it's a bit of a voyage.. There is his /thing/ I
  do when creating publicity for a web site, that works fine in Firefox,
  chrome, opera, Vivaldi, on a desktop; works fine in firefox, chrome,
  safari, and dolphin on IOS, and with internet or chrome on android..
  It doesn't work in our browser on he M10 tablet under OTA10.1

  1. Go to e.g. 
  http://www.geograph.org.uk/stamp.php?id=2612549
  (there are nearly 5 million photos, I chose a nice one for you to play with)

  2. Press 'get stamped image'
  you get an instruction to right-click and save as, and a watermarked image to 
do that to. 

  3. Our version of that is long-press, and download.
  so do that.

  what gets downloaded is not the.jpg but appears to be a fragment of
  html, or the url.

  That is /not/ what happens on any other browser on any other
  platform.. Elsewhere I get the.jpg

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585774] Re: Cannot save.jpg from web page

2016-05-25 Thread Bob Harvey
** Attachment added: "Download submenu"
   
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+attachment/4670369/+files/screenshot20160525_202958379.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1585774

Title:
  Cannot save.jpg from web page

Status in webbrowser-app package in Ubuntu:
  New

Bug description:
   Bear with me on this, it's a bit of a voyage.. There is his /thing/ I
  do when creating publicity for a web site, that works fine in Firefox,
  chrome, opera, Vivaldi, on a desktop; works fine in firefox, chrome,
  safari, and dolphin on IOS, and with internet or chrome on android..
  It doesn't work in our browser on he M10 tablet under OTA10.1

  1. Go to e.g. 
  http://www.geograph.org.uk/stamp.php?id=2612549
  (there are nearly 5 million photos, I chose a nice one for you to play with)

  2. Press 'get stamped image'
  you get an instruction to right-click and save as, and a watermarked image to 
do that to. 

  3. Our version of that is long-press, and download.
  so do that.

  what gets downloaded is not the.jpg but appears to be a fragment of
  html, or the url.

  That is /not/ what happens on any other browser on any other
  platform.. Elsewhere I get the.jpg

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585774] Re: Cannot save.jpg from web page

2016-05-25 Thread Bob Harvey
** Attachment added: "Image ready to save"
   
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+attachment/4670368/+files/screenshot20160525_202923788.png

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1585774

Title:
  Cannot save.jpg from web page

Status in webbrowser-app package in Ubuntu:
  New

Bug description:
   Bear with me on this, it's a bit of a voyage.. There is his /thing/ I
  do when creating publicity for a web site, that works fine in Firefox,
  chrome, opera, Vivaldi, on a desktop; works fine in firefox, chrome,
  safari, and dolphin on IOS, and with internet or chrome on android..
  It doesn't work in our browser on he M10 tablet under OTA10.1

  1. Go to e.g. 
  http://www.geograph.org.uk/stamp.php?id=2612549
  (there are nearly 5 million photos, I chose a nice one for you to play with)

  2. Press 'get stamped image'
  you get an instruction to right-click and save as, and a watermarked image to 
do that to. 

  3. Our version of that is long-press, and download.
  so do that.

  what gets downloaded is not the.jpg but appears to be a fragment of
  html, or the url.

  That is /not/ what happens on any other browser on any other
  platform.. Elsewhere I get the.jpg

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585774] [NEW] Cannot save.jpg from web page

2016-05-25 Thread Bob Harvey
Public bug reported:

 Bear with me on this, it's a bit of a voyage.. There is his /thing/ I
do when creating publicity for a web site, that works fine in Firefox,
chrome, opera, Vivaldi, on a desktop; works fine in firefox, chrome,
safari, and dolphin on IOS, and with internet or chrome on android.. It
doesn't work in our browser on he M10 tablet under OTA10.1

1. Go to e.g. 
http://www.geograph.org.uk/stamp.php?id=2612549
(there are nearly 5 million photos, I chose a nice one for you to play with)

2. Press 'get stamped image'
you get an instruction to right-click and save as, and a watermarked image to 
do that to. 

3. Our version of that is long-press, and download.
so do that.

what gets downloaded is not the.jpg but appears to be a fragment of
html, or the url.

That is /not/ what happens on any other browser on any other platform..
Elsewhere I get the.jpg

** Affects: webbrowser-app (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1585774

Title:
  Cannot save.jpg from web page

Status in webbrowser-app package in Ubuntu:
  New

Bug description:
   Bear with me on this, it's a bit of a voyage.. There is his /thing/ I
  do when creating publicity for a web site, that works fine in Firefox,
  chrome, opera, Vivaldi, on a desktop; works fine in firefox, chrome,
  safari, and dolphin on IOS, and with internet or chrome on android..
  It doesn't work in our browser on he M10 tablet under OTA10.1

  1. Go to e.g. 
  http://www.geograph.org.uk/stamp.php?id=2612549
  (there are nearly 5 million photos, I chose a nice one for you to play with)

  2. Press 'get stamped image'
  you get an instruction to right-click and save as, and a watermarked image to 
do that to. 

  3. Our version of that is long-press, and download.
  so do that.

  what gets downloaded is not the.jpg but appears to be a fragment of
  html, or the url.

  That is /not/ what happens on any other browser on any other
  platform.. Elsewhere I get the.jpg

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/webbrowser-app/+bug/1585774/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1373463] Re: [indicators] Impossible to disable cellular data from indicator

2016-05-25 Thread Pat McGowan
it is staged but not yet landed, not sure why the janitor marked this
fixed

** Changed in: indicator-network (Ubuntu)
   Status: Fix Released => In Progress

** Changed in: ubuntu-system-settings (Ubuntu)
   Status: Fix Released => In Progress

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1373463

Title:
  [indicators] Impossible to disable cellular data from indicator

Status in Canonical System Image:
  In Progress
Status in Ubuntu UX:
  Triaged
Status in indicator-network package in Ubuntu:
  In Progress
Status in ubuntu-system-settings package in Ubuntu:
  In Progress

Bug description:
  I was wondering : Why it isn't possible to disable data from the
  network indicator ? Probably with a switch button that offer the
  choice between no data or data activated (with the last data activated
  state (2g only or 2G,3G,4G).

  Why this ? Because it's the first setting to change to save battery,
  and probably one of the most used (I asked around me, everyone agreed
  they would prefer that over Wi-Fi if only one was possible).

  I think it's stupid to go to the settings app for the most common
  action (and very frustrating). Of course, this also apply for the
  battery setting page (that already contain Wi-Fi, GPS, Bluetooth and
  brightness settings).

  I asked that on the phone ML, I've been invited to file a wishlist bug
  there to "help" designers with next iteration of network indicator. So
  here it is !

  [1] : mailing list discussion with already some support to this idea :
  https://lists.launchpad.net/ubuntu-phone/msg09910.html

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1373463/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1584223] Re: Apply StyleHint's foregroundColor to ActionBar

2016-05-25 Thread Tim Süberkrüb
Yeah, that's pretty much it.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1584223

Title:
  Apply StyleHint's foregroundColor to ActionBar

Status in ubuntu-ui-toolkit package in Ubuntu:
  Confirmed

Bug description:
  It would be very handy if one could change the ActionBar's delegate
  foregroundColor via StyleHints:

  ActionBar {
  actions: [...]
  StyleHints { foregroundColor: UbuntuColors.aubergine }
  }

  For me this would be especially useful when using the ActionBar as
  PageHeader.extension.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1584223/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585568] Re: slapd startup fails with "connections_destroy: nothing to destroy"

2016-05-25 Thread Maciej Puzio
It appears that GnuTLS initialization is failing with an error, perhaps because 
there is something in your slapd configuration that newer version of GnuTLS (in 
xenial) does not like.
Can you post your slapd config? Please redact it so that it does not contain 
any host names, IP addresses, user names, passwords or any other confidential 
information.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to openldap in Ubuntu.
https://bugs.launchpad.net/bugs/1585568

Title:
  slapd startup fails with "connections_destroy: nothing to destroy"

Status in openldap package in Ubuntu:
  New

Bug description:
  I just upgraded slapd from 2.4.42+dfsg-2ubuntu3 to 2.4.42+dfsg-
  2ubuntu3.1, in xenial.  Now slapd won't start. The attempt fails with
  "connections_destroy: nothing to destroy":

  # systemctl status slapd.service
  ● slapd.service - LSB: OpenLDAP standalone server (Lightweight Directory 
Access Protocol)
 Loaded: loaded (/etc/init.d/slapd; bad; vendor preset: enabled)
 Active: failed (Result: exit-code) since Wed 2016-05-25 06:20:47 EDT; 14s 
ago
   Docs: man:systemd-sysv-generator(8)
Process: 14417 ExecStart=/etc/init.d/slapd start (code=exited, 
status=1/FAILURE)

  May 25 06:20:47 helium slapd[14424]: @(#) $OpenLDAP: slapd  (Ubuntu) (May 11 
2016 16:12:05) $
   
buildd@lgw01-10:/build/openldap-mF7Kfq/openldap-2.4.42+dfsg/debian/build/servers/slap
  May 25 06:20:47 helium slapd[14424]: main: TLS init def ctx failed: -1
  May 25 06:20:47 helium slapd[14424]: DIGEST-MD5 common mech free
  May 25 06:20:47 helium slapd[14424]: slapd stopped.
  May 25 06:20:47 helium slapd[14424]: connections_destroy: nothing to destroy.
  May 25 06:20:47 helium slapd[14417]:...fail!
  May 25 06:20:47 helium systemd[1]: slapd.service: Control process exited, 
code=exited status=1
  May 25 06:20:47 helium systemd[1]: Failed to start LSB: OpenLDAP standalone 
server (Lightweight Directory Access Protocol).
  May 25 06:20:47 helium systemd[1]: slapd.service: Unit entered failed state.
  May 25 06:20:47 helium systemd[1]: slapd.service: Failed with result 
'exit-code'.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: slapd 2.4.42+dfsg-2ubuntu3.1
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  NonfreeKernelModules: nvidia_uvm nvidia
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed May 25 06:17:19 2016
  InstallationDate: Installed on 2015-05-01 (390 days ago)
  InstallationMedia: Ubuntu 14.04.2 LTS "Trusty Tahr" - Release amd64 
(20150218.1)
  SourcePackage: openldap
  UpgradeStatus: Upgraded to xenial on 2016-04-29 (26 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/openldap/+bug/1585568/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585588] Re: please merge busybox from debian

2016-05-25 Thread Mathew Hodson
*** This bug is a duplicate of bug 1582267 ***
https://bugs.launchpad.net/bugs/1582267

** This bug has been marked a duplicate of bug 1582267
   please merge busybox from debian

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to busybox in Ubuntu.
https://bugs.launchpad.net/bugs/1585588

Title:
  please merge busybox from debian

Status in busybox package in Ubuntu:
  New

Bug description:
  debdiff here

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/busybox/+bug/1585588/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585645] Re: Turbo only drag down the indicator at the right time and you get a large icon when switching from 4g to 2g

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: unity8 (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-settings-components
in Ubuntu.
https://bugs.launchpad.net/bugs/1585645

Title:
  Turbo only drag down the indicator at the right time and you get a
  large icon  when switching from 4g to 2g

Status in ubuntu-settings-components package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  STEPS:
  1. Flash a fresh image on turbo
  2. With the sim in slot 2
  3. Drag down the network indicator and tap on cellular
  4. In cellular change the 4g connection to 2g
  5. As soon as the cellular icon disappears from the indicator swipe down the 
indicator
  6. Switching now between 2g and 4g and 4g and 2g will now keep the big icon 
till the phone is restarted.

  EXPECTED:
  I expect the indicator to behave in the similar fashion to the other device 
which keep an empty cellular icon in play the whole time

  ACTUAL:
  See screenshot.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-settings-components/+bug/1585645/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585645] Re: Turbo only drag down the indicator at the right time and you get a large icon when switching from 4g to 2g

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: ubuntu-settings-components (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-settings-components
in Ubuntu.
https://bugs.launchpad.net/bugs/1585645

Title:
  Turbo only drag down the indicator at the right time and you get a
  large icon  when switching from 4g to 2g

Status in ubuntu-settings-components package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  STEPS:
  1. Flash a fresh image on turbo
  2. With the sim in slot 2
  3. Drag down the network indicator and tap on cellular
  4. In cellular change the 4g connection to 2g
  5. As soon as the cellular icon disappears from the indicator swipe down the 
indicator
  6. Switching now between 2g and 4g and 4g and 2g will now keep the big icon 
till the phone is restarted.

  EXPECTED:
  I expect the indicator to behave in the similar fashion to the other device 
which keep an empty cellular icon in play the whole time

  ACTUAL:
  See screenshot.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-settings-components/+bug/1585645/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583861] Re: Keyboard backlight isn't properly restored after idle on systems with hardwired configuration

2016-05-25 Thread Mathew Hodson
** Changed in: unity-settings-daemon (Ubuntu Xenial)
   Importance: Undecided => Medium

** Changed in: upower (Ubuntu Xenial)
   Importance: Undecided => Medium

** Changed in: gnome-settings-daemon (Ubuntu Xenial)
   Importance: Undecided => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upower in Ubuntu.
https://bugs.launchpad.net/bugs/1583861

Title:
  Keyboard backlight isn't properly restored after idle on systems with
  hardwired configuration

Status in Dell Sputnik:
  New
Status in Upower:
  Unknown
Status in gnome-settings-daemon package in Ubuntu:
  Confirmed
Status in unity-settings-daemon package in Ubuntu:
  Triaged
Status in upower package in Ubuntu:
  Fix Released
Status in gnome-settings-daemon source package in Xenial:
  New
Status in unity-settings-daemon source package in Xenial:
  New
Status in upower source package in Xenial:
  Fix Committed

Bug description:
  In Dell or ThinkPad (for these you need a kernel which includes fix
  for lp:1574498) notebooks with keyboard backlight, the keybindings to
  control the keyboard backlight don't emit any event to the userland,
  about the state change, nor they request userland to change it (as it
  happens in other models which emits KEY_KBDILLUM{UP,DOWN,TOGGLE}
  events), this causes unity/gnome-settings daemon not to restore the
  proper backlight after idle.

  Steps to reproduce:
   0) ensure your keyboard backlight is on, and
   gdbus call --system --dest org.freedesktop.UPower \
    --object-path /org/freedesktop/UPower/KbdBacklight \
    --method org.freedesktop.UPower.KbdBacklight.GetBrightness
  returns a value != from 0. If not, just call the SetBrightness
  method with a positive value, to turn on the backlight.

  Now turn off the keyboard backlight (or set it to another level)
  using the laptop keys, and run:
   gsettings set org.gnome.desktop.session idle-delay 1
  to make things easier to test.

   2) Wait one second and the screensaver should start. Wait the screen to
  be turned off. If you just changed the brightness level at the step above,
  once the screen is turned off, also the keyboard backlight should be 
turned off too.

   3) Now press a key or move the mouse.

  Expected behavior:

   4) The keyboard backlight should be set back to the previous level (so it 
should stay off
  or go back to the level you set before the idle timeout happened).

  Actual behavior:

   5) The backlight is set to the level it had at point 0).

  
  To reset the idle-delay, just call
gsettings reset org.gnome.desktop.session idle-delay

To manage notifications about this bug go to:
https://bugs.launchpad.net/dell-sputnik/+bug/1583861/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1477838] Re: Crackling sound after playing audio and suspended

2016-05-25 Thread Jonas
I don't know if it is relevant, but I use whatsappweb with lifecycle
exception and both my mx4 and my m10 play the tick sound all the time,
as soon as I turn the screen off.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1477838

Title:
  Crackling sound after playing audio and suspended

Status in arale:
  Confirmed
Status in Canonical System Image:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Invalid

Bug description:
  The Meizu MX4 is doing a weird "tic tic tic..." after receive a
  notification (from telegram, mail...) and it's suspended.

  --

  When I press the screen lock button on the MX4 shortly after playing
  music or ending a phone call I hear a radio/fuzzy distorted noise
  coming from the phone. To make it stop I need to unlock and lock the
  screen again but this is not ideal.

  -

  When the screen is locked and the playing song is finished and waiting
  for a stopped signal, MX4 will do a weird lower sound.

  -

  TEST CASE (Thanks to Kamikaze)
  1. Boot the device and wait until it suspends (black screen)
  2. ssh to the device
  3. Run from the command line:
    $ aplay /usr/share/sounds/alsa/Front_Left.wav
  4. Repeat step 3 until you reproduce the issue (3 to 5 times)

  --- Original Case ---
  How to reproduce (Note this does not always work, the phone needs to be in 
some specific state yet to be determined)

  Ensure MX4 is not plugged into USB
  Call the MX4 and hear the ringtone
  Dismiss the call
  Push the power button to turn off the screen
  Tick Tick Tick
  Push the power button to turn on the screen
  hissing
  Push the power button to turn off the screen
  Tick Tick Tick
  etc

  It will not clear until you play another sound
  Does not happen in silent mode of course

  --from the dupe 

  Aquaris E4.5

  Steps to reproduce:

  1. Start playing a podcast.
  2. Switch to a different app.
  3. Lock the screen.
  4. Wait for the Podcast to finish.
  5. Wait a bit longer.

  Expected results:

  No noise from speaker.

  Actual results:

  Soft white noise from speaker. It seems that some part of the audio
  subsystem is still switched on. I am concerned that this could be
  draining battery.

  Workaround:

  After the Podcast finishes, unlock the phone and switch back to the
  Podbird app. This causes the noise to stop.

  Comments:

  I noticed the same soft white noise continues a second or two after
  the phone plays any sound from any app, but then turns off. I presume
  there is some time out turning off some part of the audio subsystem.
  Presumably if there is a reason, it should happen even when the app
  causing the sound to play is not active.

To manage notifications about this bug go to:
https://bugs.launchpad.net/arale/+bug/1477838/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1570922] Re: "Placeholder" notification emits powerd notification event

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: unity-notifications (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity-notifications in
Ubuntu.
https://bugs.launchpad.net/bugs/1570922

Title:
  "Placeholder" notification emits powerd notification event

Status in unity-notifications package in Ubuntu:
  Confirmed
Status in unity8 package in Ubuntu:
  Triaged

Bug description:
  Steps to reproduce:

  1. In Notification.qml add:

Component.onDestruction { console.log("Notification onDestruction");
  }

and a similar log message in Component.onCompleted.
  2. Install dialer-app-autopilot on the phone. This installs a fake phone sim, 
that, among other things, creates a fake voice mail every time unity8 starts.
  3. Restart unity8.
  4. A notification is created for the voice mail,  before unity8 is fully 
drawn. No bubble can be seen, only the green envelope on top. Note that in 
~/.cache/upstart/unity8.log the notification onCompleted log message can be 
seen, but not an onDestruction message.
  5. stop unity8. Note that ~/.cache/upstart/unity8.log now contains the 
onDestruction message.

  Effectively the initial notification is somehow "leaked" and not
  destroyed until the end of the program. This presents a problem in the
  new power architecture model, where unity8 needs to report both when a
  notification is shown (it already does so) and when it is destroyed.

  Notifications sent after unity8 has completed loading are properly
  destroyed when their bubble disappears.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unity-notifications/+bug/1570922/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1297144] Re: [Lenovo ThinkPad X230] Invisible cursor after resume from suspend

2016-05-25 Thread Kirill Shustov
yes, it helps.
but looks like hack not a solution.

I have one more bug, but  related with suspend + hdmi audio output.
Steps to reproduce
1. select "digital stereo (hdmi)" as output device in "Volume control"
configuration "
2. go to suspend
3. recover and no sound on hdmi stereo

Best regards,

Kirill Šustov
GSM: (+372) 55535159

On Wed, May 25, 2016 at 7:50 PM, Romano Giannetti <
romano.gianne...@gmail.com> wrote:

> Possible a duplicate of https://bugs.launchpad.net/ubuntu/+source
> /xserver-xorg-video-intel/+bug/1568604.
>
> Check if switching to a VC (Ctrl-Alt-F1) and back (Alt-F7) fixes the
> thing.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1297144
>
> Title:
>   [Lenovo ThinkPad X230] Invisible cursor after resume from suspend
>
> Status in xorg package in Ubuntu:
>   Incomplete
>
> Bug description:
>   I am using the daily build of Xubuntu 14.04 x64 on a Lenovo Thinkpad
>   x230. If I wake up the computer after it spending some time in the
>   suspend state, the cursor will be invisible.  The courser still works
>   (I can click on stuff and hover the invisible cursor over stuff), but
>   the little arrow is not visible.  This bug showed up a few days ago
>   after an update.  Putting the computer back in suspend state and
>   immediately waking it back up resolves the issue until the next time
>   the computer is put in suspend state for an extended period of time.
>
>   It is possible that this bug has something to do with Whisker Menu.
>   Sometimes when the courser is invisible it will still show up over
>   Whisker Menu.  Most of the time it is invisible there too.
>
>   Description: Ubuntu Trusty Tahr (development branch)
>   Release: 14.04
>   xfdesktop version 4.11.4, running on Xfce 4.10
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1297144/+subscriptions
>

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1297144

Title:
  [Lenovo ThinkPad X230] Invisible cursor after resume from suspend

Status in xorg package in Ubuntu:
  Incomplete

Bug description:
  I am using the daily build of Xubuntu 14.04 x64 on a Lenovo Thinkpad
  x230. If I wake up the computer after it spending some time in the
  suspend state, the cursor will be invisible.  The courser still works
  (I can click on stuff and hover the invisible cursor over stuff), but
  the little arrow is not visible.  This bug showed up a few days ago
  after an update.  Putting the computer back in suspend state and
  immediately waking it back up resolves the issue until the next time
  the computer is put in suspend state for an extended period of time.

  It is possible that this bug has something to do with Whisker Menu.
  Sometimes when the courser is invisible it will still show up over
  Whisker Menu.  Most of the time it is invisible there too.

  Description: Ubuntu Trusty Tahr (development branch)
  Release: 14.04
  xfdesktop version 4.11.4, running on Xfce 4.10

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1297144/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1470080] Re: Broken icon in indicator when iphone attached

2016-05-25 Thread Charles Kerr
** Branch linked: lp:~charlesk/indicator-power/lp-1470080-missing-icon-
when-apple-devices-connected

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-power in Ubuntu.
https://bugs.launchpad.net/bugs/1470080

Title:
  Broken icon in indicator when iphone attached

Status in indicator-power package in Ubuntu:
  Triaged

Bug description:
  Running wily with an iPhone 4 (but I doubt it matters which rev of
  iphone) attached, I see a combined battery gauge for desktop and phone
  in the indicator. Unfortunately the icon is broken / missing when the
  phone is attached, like it's missing a small version of the icon you
  see in system settings -> power.

  See screenshot (next to 61%)

  ProblemType: Bug
  DistroRelease: Ubuntu 15.10
  Package: indicator-power 12.10.6+15.10.20150522-0ubuntu1
  ProcVersionSignature: Ubuntu 3.19.0-22.22-generic 3.19.8-ckt1
  Uname: Linux 3.19.0-22-generic x86_64
  ApportVersion: 2.17.3-0ubuntu4
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Tue Jun 30 12:10:40 2015
  InstallationDate: Installed on 2014-06-16 (379 days ago)
  InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
  SourcePackage: indicator-power
  UpgradeStatus: Upgraded to wily on 2015-05-09 (51 days ago)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-power/+bug/1470080/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585717] Re: Need sshfs package. Is it planned?

2016-05-25 Thread Schiggn
** Description changed:

  I am missing a way to mount my network shares. Got a home server running
  with Ubuntu 14.04 server. My shares are available via sshfs with Public
  Key. Is there a way mounting them already? If not, could anyone explain
  me how to compile or use it myself? Every Ubuntu-device I have uses
  sshfs as my Jolla does too. Need your help! Thanks in advance!
+ 
+ /edit: Sorry, I was writing this from Ubuntu Touch! I thought it would
+ be mentioned in any way. So this is ONLY for Ubuntu Touch, normal sshfs-
+ package works like a charm!

** Tags added: ssh sshfs touch

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585717

Title:
  Need sshfs package. Is it planned?

Status in indicator-network package in Ubuntu:
  New

Bug description:
  I am missing a way to mount my network shares. Got a home server
  running with Ubuntu 14.04 server. My shares are available via sshfs
  with Public Key. Is there a way mounting them already? If not, could
  anyone explain me how to compile or use it myself? Every Ubuntu-device
  I have uses sshfs as my Jolla does too. Need your help! Thanks in
  advance!

  /edit: Sorry, I was writing this from Ubuntu Touch! I thought it would
  be mentioned in any way. So this is ONLY for Ubuntu Touch, normal
  sshfs-package works like a charm!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-network/+bug/1585717/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585723] [NEW] UbuntuShape on intel i915 (Atom) uses fallback CPU rendering

2016-05-25 Thread Gerry Boland
Public bug reported:

I'm digging into unity8 performance problems on older generation Intel
GPUs - specifically i915 Atom GPUs.

I've tested a simple QML file with a single empty UbuntuShape in it:

import QtQuick 2.4
import Ubuntu.Components 1.3

Rectangle {
width: 400
height: 300
color: "blue"

UbuntuShape {}
}

Running it with INTEL_DEBUG=perf env var set, I get this output:

i915_program_error: Exceeded max ALU instructions (76 out of 64)
ENTER FALLBACK 1: Program
Mapping a busy BO, causing a stall on the GPU.

which implies that MESA was unable to compile one of the UbuntuShape
shaders as it created more ALU instructions than the GPU could deal
with. MESA falls back to CPU rendering as a result.

The GPU stall message I guess is related to that.

** Affects: ubuntu-ui-toolkit (Ubuntu)
 Importance: Undecided
 Status: New

** Description changed:

  I'm digging into unity8 performance problems on older generation Intel
  GPUs - specifically i915 Atom GPUs.
  
  I've tested a simple QML file with a single empty UbuntuShape in it:
  
  import QtQuick 2.4
  import Ubuntu.Components 1.3
  
  Rectangle {
- width: 400
- height: 300
- color: "blue"
+ width: 400
+ height: 300
+ color: "blue"
  
- UbuntuShape {}
+ UbuntuShape {}
  }
  
  Running it with INTEL_DEBUG=perf env var set, I get this output:
  
  i915_program_error: Exceeded max ALU instructions (76 out of 64)
  ENTER FALLBACK 1: Program
  Mapping a busy BO, causing a stall on the GPU.
  
  which implies that MESA was unable to compile one of the UbuntuShape
  shaders as it created more ALU instructions than the GPU could deal
- with.
+ with. MESA falls back to CPU rendering as a result.
  
  The GPU stall message I guess is related to that.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to ubuntu-ui-toolkit in
Ubuntu.
https://bugs.launchpad.net/bugs/1585723

Title:
  UbuntuShape on intel i915 (Atom) uses fallback CPU rendering

Status in ubuntu-ui-toolkit package in Ubuntu:
  New

Bug description:
  I'm digging into unity8 performance problems on older generation Intel
  GPUs - specifically i915 Atom GPUs.

  I've tested a simple QML file with a single empty UbuntuShape in it:

  import QtQuick 2.4
  import Ubuntu.Components 1.3

  Rectangle {
  width: 400
  height: 300
  color: "blue"

  UbuntuShape {}
  }

  Running it with INTEL_DEBUG=perf env var set, I get this output:

  i915_program_error: Exceeded max ALU instructions (76 out of 64)
  ENTER FALLBACK 1: Program
  Mapping a busy BO, causing a stall on the GPU.

  which implies that MESA was unable to compile one of the UbuntuShape
  shaders as it created more ALU instructions than the GPU could deal
  with. MESA falls back to CPU rendering as a result.

  The GPU stall message I guess is related to that.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/ubuntu-ui-toolkit/+bug/1585723/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1556459] Re: [Lenovo ThinkPad W530] Regression: cannot set up 3 display configuration any more (Optimus)

2016-05-25 Thread Jonathan Mugan
I think I have the same issue on a new install. I try to turn off
mirroring and get

GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2:
could not set the configuration for CRTC 64

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1556459

Title:
  [Lenovo ThinkPad W530] Regression: cannot set up 3 display
  configuration any more (Optimus)

Status in xorg package in Ubuntu:
  Triaged

Bug description:
  I cannot set up the third monitor any more (it was working beginning
  of March 2016 with Ubuntu 16.04).

  The configuration with NVIDIA Optimus starts with builtin display (of
  Thinkpad W530) and one of (3K) monitors, the second monitor is
  detected, but not used.

  The unity configuration tool shows me two message boxes:

  "The selected configuration for displays could not be applied
  could not set the configuration for CRTC 64"

  and

  "Failed to apply configuration: %s

  
GDBus.Error:org.gtk.GDBus.UnmappedGError.Quark._gsd_2drr_2derror_2dquark.Code2: 
could not set the configuration for CRTC 64
  "

  The first one I have seen at boot time on login screen (with 3
  displays) previously, the second one is new.

  The third monitor works if Optimus gets disabled in  BIOS and the
  machine runs with Nvidia only

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-12.28-generic 4.4.4
  Uname: Linux 4.4.0-12-generic x86_64
  .tmp.unity.support.test.0:
   
  ApportVersion: 2.20-0ubuntu3
  Architecture: amd64
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  Date: Sat Mar 12 18:44:54 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  DkmsStatus:
   virtualbox, 5.0.16, 4.4.0-10-generic, x86_64: installed
   virtualbox, 5.0.16, 4.4.0-11-generic, x86_64: installed
   virtualbox, 5.0.16, 4.4.0-12-generic, x86_64: installed
  EcryptfsInUse: Yes
  ExtraDebuggingInterest: Yes, including running git bisection searches
  GraphicsCard:
   Intel Corporation 3rd Gen Core processor Graphics Controller [8086:0166] 
(rev 09) (prog-if 00 [VGA controller])
 Subsystem: Lenovo 3rd Gen Core processor Graphics Controller [17aa:21f5]
   NVIDIA Corporation GK107GLM [Quadro K2000M] [10de:0ffb] (rev a1) (prog-if 00 
[VGA controller])
 Subsystem: Lenovo GK107GLM [Quadro K2000M] [17aa:21f5]
  InstallationDate: Installed on 2016-02-25 (15 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160225)
  MachineType: LENOVO 2447MU0
  ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-4.4.0-12-generic 
root=UUID=c01ceec8-4b0c-447f-af8f-3e9c4ae90e15 ro rootflags=subvol=@ quiet 
splash
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 09/18/2015
  dmi.bios.vendor: LENOVO
  dmi.bios.version: G5ETA3WW (2.63 )
  dmi.board.asset.tag: Not Available
  dmi.board.name: 2447MU0
  dmi.board.vendor: LENOVO
  dmi.board.version: 0B98401 WIN
  dmi.chassis.asset.tag: No Asset Information
  dmi.chassis.type: 10
  dmi.chassis.vendor: LENOVO
  dmi.chassis.version: Not Available
  dmi.modalias: 
dmi:bvnLENOVO:bvrG5ETA3WW(2.63):bd09/18/2015:svnLENOVO:pn2447MU0:pvrThinkPadW530:rvnLENOVO:rn2447MU0:rvr0B98401WIN:cvnLENOVO:ct10:cvrNotAvailable:
  dmi.product.name: 2447MU0
  dmi.product.version: ThinkPad W530
  dmi.sys.vendor: LENOVO
  version.compiz: compiz 1:0.9.12.2+16.04.20160209-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.1.2-1ubuntu1
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.1.2-1ubuntu1
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.1-1ubuntu4
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.6.1-1ubuntu2
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160218-1ubuntu3
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Sat Mar 12 18:30:45 2016
  xserver.configfile: default
  xserver.logfile: /var/log/Xorg.0.log
  xserver.version: 2:1.18.1-1ubuntu4

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1556459/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1574079] Re: USB audio device is not recognized after startup in 16.04

2016-05-25 Thread pablomme
** No longer affects: fwupd (Ubuntu)

** Also affects: fwupd (Ubuntu)
   Importance: Undecided
   Status: New

** Changed in: fwupd (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1574079

Title:
  USB audio device is not recognized after startup in 16.04

Status in alsa-driver package in Ubuntu:
  Invalid
Status in fwupd package in Ubuntu:
  Confirmed

Bug description:
  Hi @all,

  I used the same USB audio device in all previous Ubuntu versions
  (Focusrite Scarlet 2i2). It is supposed to be class compliant and
  works an all distros flawless (even RPI2 and OSMC). After upgrading
  from 15.10 to 16.04 it stopped to work: after start-up it does not
  show up as an audio device at all (also not recognized by aplay -l). I
  can workaround this by unplugging it and plugging it in again after
  Ubuntu booted up (strangely 2 times unplug/re-plug). After 2nd time
  plugging it in again it shows up and works great without any further
  issues until next restart.

  Maybe worth to note that I recognized today that fwupd uses
  continuously 100% CPU load, so I just killed it today. My Hardware
  (Main-board/CPU) is a bit older (Intel E8400), so could probably be
  some compatibility issue...

  regards,
  Tobias

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic i686
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC1D0p:   tobias 1553 F...m pulseaudio
   /dev/snd/controlC1:  tobias 1553 F pulseaudio
   /dev/snd/controlC0:  tobias 1553 F pulseaudio
   /dev/snd/controlC2:  tobias 1553 F pulseaudio
  CurrentDesktop: Unity
  Date: Sat Apr 23 20:09:04 2016
  InstallationDate: Installed on 2015-09-19 (217 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release i386 (20150422)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  UpgradeStatus: Upgraded to xenial on 2016-04-22 (0 days ago)
  dmi.bios.date: 09/30/2008
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1238
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5B-Deluxe
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1238:bd09/30/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5B-Deluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.name: System Product Name
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1574079/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1570922] Re: "Placeholder" notification emits powerd notification event

2016-05-25 Thread Launchpad Bug Tracker
** Branch linked: lp:~afrantzis/unity8/notifications-powerd-off

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity-notifications in
Ubuntu.
https://bugs.launchpad.net/bugs/1570922

Title:
  "Placeholder" notification emits powerd notification event

Status in unity-notifications package in Ubuntu:
  New
Status in unity8 package in Ubuntu:
  Triaged

Bug description:
  Steps to reproduce:

  1. In Notification.qml add:

Component.onDestruction { console.log("Notification onDestruction");
  }

and a similar log message in Component.onCompleted.
  2. Install dialer-app-autopilot on the phone. This installs a fake phone sim, 
that, among other things, creates a fake voice mail every time unity8 starts.
  3. Restart unity8.
  4. A notification is created for the voice mail,  before unity8 is fully 
drawn. No bubble can be seen, only the green envelope on top. Note that in 
~/.cache/upstart/unity8.log the notification onCompleted log message can be 
seen, but not an onDestruction message.
  5. stop unity8. Note that ~/.cache/upstart/unity8.log now contains the 
onDestruction message.

  Effectively the initial notification is somehow "leaked" and not
  destroyed until the end of the program. This presents a problem in the
  new power architecture model, where unity8 needs to report both when a
  notification is shown (it already does so) and when it is destroyed.

  Notifications sent after unity8 has completed loading are properly
  destroyed when their bubble disappears.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/unity-notifications/+bug/1570922/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1375215] Re: System runs out of memory - white screens frequently seen in web renderers

2016-05-25 Thread costales
Thanks a lot Olivier for your support :) We'll try that |o/
--
Sent using Dekko from my Ubuntu device

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to webbrowser-app in Ubuntu.
https://bugs.launchpad.net/bugs/1375215

Title:
  System runs out of memory - white screens frequently seen in web
  renderers

Status in Canonical System Image:
  Fix Released
Status in oxide-qt package in Ubuntu:
  Invalid
Status in webbrowser-app package in Ubuntu:
  Fix Released

Bug description:
  [See latest comments for recent repro notes]

  krillin 14.09 #2 + all updates applied

  After running the system for a while (few minutes) the system runs out of 
memory and start killing processes.
  It is very visible with the webbrowser or webapps because it renders the page 
and displays a white page when oxide-render is killed. Although it is not 
specific to oxide, and any app are killed (address-book, system-settings, ...) 
You can clearly notice that other apps are being killed because when you switch 
to the app it's all blurry and take a while to reload, also it loses its state 
(for example, you lose the message you were writing in the messaging-app)

  There is no specific steps to reproduce. I have several scopes enabled
  (photos, nearby, news) You don't have to have tons of apps open to
  reproduce this. Launching the webbrowser or a webapps and navigating
  on the phone between the scopes and the open app seems enough for the
  system to start killing processes.

  ProblemType: Bug
  DistroRelease: Ubuntu 14.10
  Package: liboxideqtcore0 1.2.0-0ubuntu1 [origin: Ubuntu RTM]
  Uname: Linux 3.4.67 armv7l
  ApportVersion: 2.14.7-0ubuntu1
  Architecture: armhf
  Date: Mon Sep 29 12:51:34 2014
  InstallationDate: Installed on 2014-09-24 (5 days ago)
  InstallationMedia: Ubuntu Utopic Unicorn (development branch) - armhf 
(20140924-030204)
  SourcePackage: oxide-qt
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1375215/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1574079] Re: USB audio device is not recognized after startup in 16.04

2016-05-25 Thread Jay Bowles
My usb audio is no longer working at all with 16.04. I am rolling back
to previous LTS as this sucks and has remained as unassigned for a while
now. I wonder if it is worth raising a separate bug as the fwupd "fix
released" is a misnomer for myself and others.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1574079

Title:
  USB audio device is not recognized after startup in 16.04

Status in alsa-driver package in Ubuntu:
  Invalid
Status in fwupd package in Ubuntu:
  Fix Released

Bug description:
  Hi @all,

  I used the same USB audio device in all previous Ubuntu versions
  (Focusrite Scarlet 2i2). It is supposed to be class compliant and
  works an all distros flawless (even RPI2 and OSMC). After upgrading
  from 15.10 to 16.04 it stopped to work: after start-up it does not
  show up as an audio device at all (also not recognized by aplay -l). I
  can workaround this by unplugging it and plugging it in again after
  Ubuntu booted up (strangely 2 times unplug/re-plug). After 2nd time
  plugging it in again it shows up and works great without any further
  issues until next restart.

  Maybe worth to note that I recognized today that fwupd uses
  continuously 100% CPU load, so I just killed it today. My Hardware
  (Main-board/CPU) is a bit older (Intel E8400), so could probably be
  some compatibility issue...

  regards,
  Tobias

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu5
  ProcVersionSignature: Ubuntu 4.4.0-21.37-generic 4.4.6
  Uname: Linux 4.4.0-21-generic i686
  NonfreeKernelModules: nvidia_modeset nvidia
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/pcmC1D0p:   tobias 1553 F...m pulseaudio
   /dev/snd/controlC1:  tobias 1553 F pulseaudio
   /dev/snd/controlC0:  tobias 1553 F pulseaudio
   /dev/snd/controlC2:  tobias 1553 F pulseaudio
  CurrentDesktop: Unity
  Date: Sat Apr 23 20:09:04 2016
  InstallationDate: Installed on 2015-09-19 (217 days ago)
  InstallationMedia: Ubuntu 15.04 "Vivid Vervet" - Release i386 (20150422)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  UpgradeStatus: Upgraded to xenial on 2016-04-22 (0 days ago)
  dmi.bios.date: 09/30/2008
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: 1238
  dmi.board.asset.tag: To Be Filled By O.E.M.
  dmi.board.name: P5B-Deluxe
  dmi.board.vendor: ASUSTeK Computer INC.
  dmi.board.version: Rev 1.xx
  dmi.chassis.asset.tag: Asset-1234567890
  dmi.chassis.type: 3
  dmi.chassis.vendor: Chassis Manufacture
  dmi.chassis.version: Chassis Version
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvr1238:bd09/30/2008:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnP5B-Deluxe:rvrRev1.xx:cvnChassisManufacture:ct3:cvrChassisVersion:
  dmi.product.name: System Product Name
  dmi.product.version: System Version
  dmi.sys.vendor: System manufacturer

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1574079/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


Re: [Touch-packages] [Bug 1477838] Re: Crackling sound after playing audio and suspended

2016-05-25 Thread costales
> than an annoying noise happening, which seems to be MX4 specific.

@John: I have Nexus4, BQ E4.5 & MX4 and this is happening only in MX4.
FYI, I flashed this week the MX4 and set the default notification
sound, but same weird sound.

A hug.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to pulseaudio in Ubuntu.
https://bugs.launchpad.net/bugs/1477838

Title:
  Crackling sound after playing audio and suspended

Status in arale:
  Confirmed
Status in Canonical System Image:
  Confirmed
Status in pulseaudio package in Ubuntu:
  Invalid

Bug description:
  The Meizu MX4 is doing a weird "tic tic tic..." after receive a
  notification (from telegram, mail...) and it's suspended.

  --

  When I press the screen lock button on the MX4 shortly after playing
  music or ending a phone call I hear a radio/fuzzy distorted noise
  coming from the phone. To make it stop I need to unlock and lock the
  screen again but this is not ideal.

  -

  When the screen is locked and the playing song is finished and waiting
  for a stopped signal, MX4 will do a weird lower sound.

  -

  TEST CASE (Thanks to Kamikaze)
  1. Boot the device and wait until it suspends (black screen)
  2. ssh to the device
  3. Run from the command line:
    $ aplay /usr/share/sounds/alsa/Front_Left.wav
  4. Repeat step 3 until you reproduce the issue (3 to 5 times)

  --- Original Case ---
  How to reproduce (Note this does not always work, the phone needs to be in 
some specific state yet to be determined)

  Ensure MX4 is not plugged into USB
  Call the MX4 and hear the ringtone
  Dismiss the call
  Push the power button to turn off the screen
  Tick Tick Tick
  Push the power button to turn on the screen
  hissing
  Push the power button to turn off the screen
  Tick Tick Tick
  etc

  It will not clear until you play another sound
  Does not happen in silent mode of course

  --from the dupe 

  Aquaris E4.5

  Steps to reproduce:

  1. Start playing a podcast.
  2. Switch to a different app.
  3. Lock the screen.
  4. Wait for the Podcast to finish.
  5. Wait a bit longer.

  Expected results:

  No noise from speaker.

  Actual results:

  Soft white noise from speaker. It seems that some part of the audio
  subsystem is still switched on. I am concerned that this could be
  draining battery.

  Workaround:

  After the Podcast finishes, unlock the phone and switch back to the
  Podbird app. This causes the noise to stop.

  Comments:

  I noticed the same soft white noise continues a second or two after
  the phone plays any sound from any app, but then turns off. I presume
  there is some time out turning off some part of the audio subsystem.
  Presumably if there is a reason, it should happen even when the app
  causing the sound to play is not active.

To manage notifications about this bug go to:
https://bugs.launchpad.net/arale/+bug/1477838/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1577885] Re: 120sec delay during shutdown or reboot with still mounted cifs (via Wifi)

2016-05-25 Thread Max-Ulrich Farber
In https://wiki.archlinux.org/index.php/talk:NFS#NetworkManager-wait-
online I found a workaround that works for me (ArchLinux has been using
systemd for a long time already):

 * create a file /lib/systemd/system/auto_share.service with the following 
contents:
 After=NetworkManager-wait-online.service
 Before=systemd-user-sessions.service

 * execute the following commands in a terminal:
 systemctl enable NetworkManager-wait-online
 systemctl reenable auto_share.service 

Having done this once, booting and shutdown works fine, even with still
mounted cifs shares. It stays the same after system reboot.

Even if this workaround will work fine for everyone (?), this bug should
be fixed permanently anyhow!

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1577885

Title:
  120sec delay during shutdown or reboot with still mounted cifs (via
  Wifi)

Status in network-manager package in Ubuntu:
  Confirmed
Status in systemd package in Ubuntu:
  Confirmed

Bug description:
  Using Ubuntu 16.04 Desktop with Unity, used the same approach in 14.04
  with no issue.

  I prepare for mounting with the following entry in /etc/fstab my
  Synology NAS :

  //192.168.178.61/data /media/server/server_data cifs
  
users,uid=1000,gid=1000,username=x,passwd=xx,iocharset=utf8,sec=ntlm,noauto,_netdev
  0

  After login to unity, I mount it with a bash-script (mount -a) which
  is called from ~/.config/autostart/myMounts.desktop

  Doing this, and shuting down or rebooting lead into a very delayed
  shutdown (round about 2 minutes) Pressing ESC Key, showed that the
  process stops at the command "umount /media/server ..."

  I have not tested if this also occurs when I am connected via
  ethernet. I think it is because the (Wifi)Network is already disabled
  prior all umounts are done.

  This issue happens even if I type in a shutdown command into a
  Terminal or if I choose shutdown form the menue, also if I use the
  power-button.

  Failure can be avoided if I umount the network-drives manually
  previouse to reboot.

  Interim solution was, to create an alias for "shutdown" like "sh
  /path/to/umount/script.sh && shutdown" in /etc/bash.bashrc.local.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/1577885/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1441253] Re: hanging suspend job prevents shutdown

2016-05-25 Thread Ian Santopietro
Had a couple of reports of this on System76 Machines. It appears this is
manifests as an incomplete resume, where some job in the resume doesn't
terminate, leading systemd to think the machine is still resuming, while
at the same time the system appears to be up and running normally.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1441253

Title:
  hanging suspend job prevents shutdown

Status in systemd package in Ubuntu:
  Won't Fix

Bug description:
  poweroff (systemd poweroff) and reboot no longer work

  running sudo sytemd poweroff generates this:

  Failed to start poweroff.target: Transaction is destructive.

  journal log also shows:

  Apr 07 18:30:12 alice polkitd(authority=local)[1088]: Registered 
Authentication Agent for unix-process:32412:2895609 (system bus name :1.194 
[/usr/bin/pkttyagent --notify-fd 5 --fallback], object path 
/org/freedesktop/PolicyKit1/AuthenticationAgent, locale en_US.UTF-8)
  Apr 07 18:30:12 alice systemd[1]: Requested transaction contradicts existing 
jobs: Transaction is destructive.
  Apr 07 18:30:12 alice polkitd(authority=local)[1088]: Unregistered 
Authentication Agent for unix-process:32412:2895609 (system bus name :1.194, 
object path /org/freedesktop/PolicyKit1/AuthenticationAgent, locale 
en_US.UTF-8) (disconnected from bus)

  
  Output of systemctl list-jobs
   JOB UNITTYPE  STATE  
  6009 suspend.target  start waiting
  6010 systemd-suspend.service start running
  6014 anacron-resume.service  start waiting

  ProblemType: Bug
  DistroRelease: Ubuntu 15.04
  Package: systemd 219-6ubuntu1
  ProcVersionSignature: Ubuntu 3.19.0-12.12-generic 3.19.3
  Uname: Linux 3.19.0-12-generic x86_64
  NonfreeKernelModules: fglrx
  ApportVersion: 2.17-0ubuntu1
  Architecture: amd64
  Date: Tue Apr  7 18:32:27 2015
  MachineType: Hewlett-Packard HP EliteBook 8560w
  ProcEnviron:
   LANGUAGE=en_US:en
   TERM=xterm
   PATH=(custom, no user)
   LANG=en_US.UTF-8
   SHELL=/bin/bash
  ProcKernelCmdLine: BOOT_IMAGE=/@/boot/vmlinuz-3.19.0-12-generic 
root=UUID=90fa42f5-708d-4432-9241-315b9c08ba98 ro nomodeset rootflags=subvol=@
  SourcePackage: systemd
  UdevLog: Error: [Errno 2] No such file or directory: '/var/log/udev'
  UpgradeStatus: Upgraded to vivid on 2015-03-02 (36 days ago)
  dmi.bios.date: 08/04/2014
  dmi.bios.vendor: Hewlett-Packard
  dmi.bios.version: 68SVD Ver. F.50
  dmi.board.name: 1631
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: KBC Version 01.3D
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.modalias: 
dmi:bvnHewlett-Packard:bvr68SVDVer.F.50:bd08/04/2014:svnHewlett-Packard:pnHPEliteBook8560w:pvrA0001D02:rvnHewlett-Packard:rn1631:rvrKBCVersion01.3D:cvnHewlett-Packard:ct10:cvr:
  dmi.product.name: HP EliteBook 8560w
  dmi.product.version: A0001D02
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1441253/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1297144] Re: [Lenovo ThinkPad X230] Invisible cursor after resume from suspend

2016-05-25 Thread Romano Giannetti
Possible a duplicate of https://bugs.launchpad.net/ubuntu/+source
/xserver-xorg-video-intel/+bug/1568604.

Check if switching to a VC (Ctrl-Alt-F1) and back (Alt-F7) fixes the
thing.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1297144

Title:
  [Lenovo ThinkPad X230] Invisible cursor after resume from suspend

Status in xorg package in Ubuntu:
  Incomplete

Bug description:
  I am using the daily build of Xubuntu 14.04 x64 on a Lenovo Thinkpad
  x230. If I wake up the computer after it spending some time in the
  suspend state, the cursor will be invisible.  The courser still works
  (I can click on stuff and hover the invisible cursor over stuff), but
  the little arrow is not visible.  This bug showed up a few days ago
  after an update.  Putting the computer back in suspend state and
  immediately waking it back up resolves the issue until the next time
  the computer is put in suspend state for an extended period of time.

  It is possible that this bug has something to do with Whisker Menu.
  Sometimes when the courser is invisible it will still show up over
  Whisker Menu.  Most of the time it is invisible there too.

  Description: Ubuntu Trusty Tahr (development branch)
  Release: 14.04
  xfdesktop version 4.11.4, running on Xfce 4.10

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1297144/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583114] Re: Dhcpdiscover loops on interval until network-manager restart

2016-05-25 Thread Bug Watch Updater
** Changed in: network-manager
   Status: Unknown => Invalid

** Changed in: network-manager
   Importance: Unknown => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1583114

Title:
  Dhcpdiscover loops on interval until network-manager restart

Status in NetworkManager:
  Invalid
Status in network-manager package in Ubuntu:
  Triaged

Bug description:
  UBUNTU VERSION: Ubuntu desktop 16.04 64bit, system is up to date to
  latest

  KERNEL: Linux RooTBooK 4.4.0-22-generic #40-Ubuntu SMP Thu May 12
  22:03:46 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

  DHCPDISCOVER keeps looping on intervals until i restart network-manager, the 
loops are not happening
  at every boot, but only sometimes at boot

  WIFI CHIPSET: product: BCM4313 802.11bgn Wireless Network Adapter
  WIFI DRIVER: driver=wl0 driverversion=6.30.223.248 (r487574) ip=192.168.1.3

  the problem gets solved on network-manager restart and can be
  reproduced.

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: network-manager 1.1.93-0ubuntu4
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  NonfreeKernelModules: wl
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  CurrentDesktop: Unity
  Date: Wed May 18 12:37:55 2016
  IfupdownConfig:
   # interfaces(5) file used by ifup(8) and ifdown(8)
   auto lo
   iface lo inet loopback
  InstallationDate: Installed on 2016-04-25 (22 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  IpRoute:
   default via 192.168.1.1 dev wlp7s0  proto static  metric 600 
   169.254.0.0/16 dev wlp7s0  scope link  metric 1000 
   192.168.1.0/24 dev wlp7s0  proto kernel  scope link  src 192.168.1.3  metric 
600
  NetworkManager.state:
   [main]
   NetworkingEnabled=true
   WirelessEnabled=true
   WWANEnabled=true
  SourcePackage: network-manager
  UpgradeStatus: No upgrade log present (probably fresh install)
  nmcli-dev:
   DEVICE  TYPE  STATEDBUS-PATH  
CONNECTION  CON-UUID  CON-PATH  
 
   wlp7s0  wifi  connected/org/freedesktop/NetworkManager/Devices/1  
belkin7 1   1042ceaf-e9a0-4db1-96dd-897213b0c61c  
/org/freedesktop/NetworkManager/ActiveConnection/0 
   enp6s0  ethernet  unavailable  /org/freedesktop/NetworkManager/Devices/2  -- 
 ----   
  
   lo  loopback  unmanaged/org/freedesktop/NetworkManager/Devices/0  -- 
 ----
  nmcli-nm: Error: command ['nmcli', '-f', 'all', 'nm'] failed with exit code 
2: Error: Object 'nm' is unknown, try 'nmcli help'.

To manage notifications about this bug go to:
https://bugs.launchpad.net/network-manager/+bug/1583114/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1580146] Re: [touch] Internet connection stops working while WiFi is still connected

2016-05-25 Thread Andrea Bernabei
Now testing.

I had 
[ipv6]
addr-gen-mode=stable-privacy
dns-search=
method=auto

and changed to 
[ipv6]
method=ignore

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1580146

Title:
  [touch] Internet connection stops working while WiFi is still
  connected

Status in Canonical System Image:
  Incomplete
Status in network-manager package in Ubuntu:
  Incomplete

Bug description:
  krillin, rc-proposed, r329

  Description:
  It often happens that the internet connection stops working while the device 
is still connected to a (working) WiFi AP.
  The indicator shows that the phone is connected to the AP, here's the ouput 
of "nmcli d" and "nmcli c" http://pastebin.ubuntu.com/16344985/

  Tapping on the AP in the network indicator resets the connection and
  fixes the issue, which however reappears after a while.

  Here's also a "grep NetworkManager" from syslog
  http://pastebin.ubuntu.com/16344990/

  How to reproduce:
  I don't have a recipe, but here's what usually happens on my phone
  1) I connect to the office WiFi (Canonical's HQ, BlueFin office)
  2) Use browser, perform random google searches to check internet is working
  3) After a while (sometimes I put the phone to sleep, sometimes I checked the 
Updates from system settings a few times), I go back to the browser, and it 
starts returning "Network Error". NM, as you can see from the logs, says WiFi 
is "connected"
  4) At this point I use Terminal app and discover that "ping 8.8.8.8" is 
working correctly, "ping google.com" immediately returns "unkown host", i.e. it 
doesn't seem to be waiting for a timeout, it returns pretty fast.

  There are no related crash files in /var/crash

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1580146/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585717] [NEW] Need sshfs package. Is it planned?

2016-05-25 Thread Schiggn
Public bug reported:

I am missing a way to mount my network shares. Got a home server running
with Ubuntu 14.04 server. My shares are available via sshfs with Public
Key. Is there a way mounting them already? If not, could anyone explain
me how to compile or use it myself? Every Ubuntu-device I have uses
sshfs as my Jolla does too. Need your help! Thanks in advance!

** Affects: indicator-network (Ubuntu)
 Importance: Undecided
 Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585717

Title:
  Need sshfs package. Is it planned?

Status in indicator-network package in Ubuntu:
  New

Bug description:
  I am missing a way to mount my network shares. Got a home server
  running with Ubuntu 14.04 server. My shares are available via sshfs
  with Public Key. Is there a way mounting them already? If not, could
  anyone explain me how to compile or use it myself? Every Ubuntu-device
  I have uses sshfs as my Jolla does too. Need your help! Thanks in
  advance!

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/indicator-network/+bug/1585717/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1549455] Re: Unity8-dash on Intel Atom graphics crashes and restarts continuously [qtubuntu: ASSERT: "eglDestroyContext(mEglDisplay, EglContext) == EGL_TRUE"]

2016-05-25 Thread Gerry Boland
Ok, I figured out hte EGL issue, it was my misunderstanding. Modifying the 
tools to act correctly, I get this for eglinfo:
http://pastebin.ubuntu.com/16686113/
and the qteglchooser correctly chooses a valid Mir EGL config. Why Qt itself 
cannot do this, I have yet to understand.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to mir in Ubuntu.
https://bugs.launchpad.net/bugs/1549455

Title:
  Unity8-dash on Intel Atom graphics crashes and restarts continuously
  [qtubuntu: ASSERT: "eglDestroyContext(mEglDisplay, EglContext) ==
  EGL_TRUE"]

Status in Mir:
  Invalid
Status in qtubuntu:
  In Progress
Status in mesa package in Ubuntu:
  Invalid
Status in mir package in Ubuntu:
  Invalid
Status in qtdeclarative package in Ubuntu:
  Confirmed
Status in qtmir package in Ubuntu:
  Confirmed
Status in qtubuntu package in Ubuntu:
  Triaged
Status in unity8 package in Ubuntu:
  Confirmed

Bug description:
  Qt clients are failing to create an egl context when running on Intel
  Pineview systems under Mir.

  eglCreateContext fails with a EGL_BAD_MATCH error code.

  When it fails, Qt tries to delete & recreate the context, which then
  crashes the client (bug 1580118)

  
  === Original bug description ===
  This bug Makes the pc UNUSABLE
  when I try to launch Unity 8 and Mir, after writing the password on the login 
(in the image attached) the bar to enter the password disappears and my 
computer screen stays stuck without them let me do anything. the connection 
begins to separate and reattach alone and I can only move the cursor. it makes 
the computer unusable and I am forced to restart forced to then enter into 
Unity 7. represented in the screenshot is the lock status after entering the 
password.
  Version: unity8.12+16.04.201604.01.1
  Version of Mir : 0.21

To manage notifications about this bug go to:
https://bugs.launchpad.net/mir/+bug/1549455/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585370] Re: pepper flash plugin disallowed from apparmor

2016-05-25 Thread Chris Coulson
The browser can also load the plugin from the partner repository (in
/usr/lib/adobe-flashplugin), although that's currently broken for a
different reason.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor-easyprof-ubuntu
in Ubuntu.
https://bugs.launchpad.net/bugs/1585370

Title:
  pepper flash plugin disallowed from apparmor

Status in apparmor-easyprof-ubuntu package in Ubuntu:
  Incomplete
Status in webbrowser-app package in Ubuntu:
  New

Bug description:
  When launching webbrowser-app from unity8 under confinement, i get
  disallowed errors for /opt/google/chrome/PepperFlash/manifest.json and
  /opt/google/chrome/PepperFlash/libpepflashplayer.so

  When I add the following to the apparmor profile of webbrowser-app and
  to the oxide_helper subprocess, it works:

  /opt/google/** r,

  /opt/google/**/*.so mr,

  Don't know what's exactly needed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor-easyprof-ubuntu/+bug/1585370/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585709] [NEW] Xorg freeze

2016-05-25 Thread dualBootLaptop
Public bug reported:

Ubuntu 14.04 LTS
I boot the machine, log in to user A, and start no programs. Instead, I 
immediately switch user to user B. I then switch back to user A.
After entering (again) the password for user A, the system freezes.
It freezes in one of two ways: either it goes to a black screen with no mouse 
cursor visible, or it goes to a staticy purple banded background with the mouse 
cursor visible and usable but nothing on the screen is responsive.
Very rarely, it will successfully log in, but if I then repeat the process id 
est switch user to user B and back again, it will freeze.

This began around perhaps May 15--20.
I have been using Ubuntu 14.04 for a year without problems prior to this.
Ubuntu Software Center History shows a ton of updates installed 17 May, 18 May, 
19 May, and 22 May.
The only one that jumps out as possibly X-related is libgtk, but I have no idea 
what most of the updates do, they're all things like libmm-glib0 (I mean, I can 
Google that *one*, but they're all like that and I can't copy-paste out of the 
Software Center). Hopefully that was included in the info reported by Apport.
I'm guessing that's what you mean by the question "Is this a regression?"? 
Since it doesn't involve any applications and it never happened until a week 
ago, it would almost have to be caused by an update.
However, I am unable to undo these updates, and the Internet is telling me that 
undoing updates can only be done via weird hacks that will almost definitely 
make the problem worse.

I am unable to recreate the freeze on the Ctrl+Alt+F1 console, so I would guess 
it has to do with the X window server.
When the freeze occurs, Alt+SysRq+1 does nothing.

I only have one machine, so I don't know how to ssh into the machine
while it is frozen.

P.S. There was a part of the instructions that would definitely by very useful 
but which I am unable to follow:
https://wiki.ubuntu.com/X/Troubleshooting/Freeze says If you updated your 
system and it started to freeze, start reverting package updates backwards 
until the freezes stop occurring.
Reverting package updates backwards would almost definitely fix my problem, as 
noted above.
Software Updater provides no option to do this, Ubuntu Software Center History 
-> Updates provides no option to do this, and it is not mentioned at 
https://wiki.ubuntu.com/SoftwareUpdates. AskUbuntu and UbuntuForums tell me 
that no such feature exists:
http://askubuntu.com/questions/34888/is-there-any-way-to-roll-back-the-most-recent-upgrade
http://ubuntuforums.org/showthread.php?t=1804985
So I don't know what this instruction is talking about.

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: xorg 1:7.7+1ubuntu8.1
ProcVersionSignature: Ubuntu 3.13.0-86.131-generic 3.13.11-ckt39
Uname: Linux 3.13.0-86-generic x86_64
NonfreeKernelModules: fglrx
.tmp.unity.support.test.0:
 
ApportVersion: 2.14.1-0ubuntu3.20
Architecture: amd64
CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
CompositorRunning: compiz
CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
CompositorUnredirectFSW: true
CurrentDesktop: Unity
Date: Wed May 25 10:53:39 2016
DistUpgraded: Fresh install
DistroCodename: trusty
DistroVariant: ubuntu
DkmsStatus:
 fglrx-updates-core, 15.201, 3.13.0-85-generic, x86_64: installed
 fglrx-updates-core, 15.201, 3.13.0-86-generic, x86_64: installed
ExtraDebuggingInterest: Yes, if not too technical
GpuHangFrequency: Continuously
GpuHangReproducibility: Yes, I can easily reproduce it
GpuHangStarted: Within the last week or two
GraphicsCard:
 Advanced Micro Devices, Inc. [AMD/ATI] Richland [Radeon HD 8550G] [1002:990d] 
(prog-if 00 [VGA controller])
   Subsystem: Hewlett-Packard Company Device [103c:1984]
InstallationDate: Installed on 2014-06-06 (719 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release amd64 (20140417)
MachineType: Hewlett-Packard HP Pavilion 17 Notebook PC
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-86-generic.efi.signed 
root=UUID=1fe70a4d-bce2-4bc1-921f-d793500b9af8 ro quiet splash vt.handoff=7
SourcePackage: xorg
Symptom: display
Title: Xorg freeze
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 11/11/2014
dmi.bios.vendor: Insyde
dmi.bios.version: F.35
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 1984
dmi.board.vendor: Hewlett-Packard
dmi.board.version: 01.15
dmi.chassis.type: 10
dmi.chassis.vendor: Hewlett-Packard
dmi.chassis.version: Chassis Version
dmi.modalias: 
dmi:bvnInsyde:bvrF.35:bd11/11/2014:svnHewlett-Packard:pnHPPavilion17NotebookPC:pvr0880100021305B1620100:rvnHewlett-Packard:rn1984:rvr01.15:cvnHewlett-Packard:ct10:cvrChassisVersion:
dmi.product.name: HP Pavilion 17 Notebook PC
dmi.product.version: 0880100021305B1620100
dmi.sys.vendor: Hewlett-Packard
version.compiz: compiz 1:0.9.11.3+14.04.20150313-0ubuntu1
version.fglrx-installer: fglrx-installer N/A
version.ia32-libs: ia32-libs N/A
version.libdrm2: 

[Touch-packages] [Bug 1585710] [NEW] package libsystemd0:amd64 229-4ubuntu6 failed to install/upgrade: Paket libsystemd0:amd64 kann nicht konfiguriert werden, da libsystemd0:i386 nicht bereit ist (akt

2016-05-25 Thread Chuck-kensy
Public bug reported:

Error occurred while apt upgrade

ProblemType: Package
DistroRelease: Ubuntu 16.04
Package: libsystemd0:amd64 229-4ubuntu6
ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
Uname: Linux 4.4.0-22-generic x86_64
ApportVersion: 2.20.1-0ubuntu2
AptOrdering:
 libsystemd0: Configure
 libsystemd0: Configure
 NULL: ConfigurePending
Architecture: amd64
Date: Wed May 25 18:33:53 2016
ErrorMessage: Paket libsystemd0:amd64 kann nicht konfiguriert werden, da 
libsystemd0:i386 nicht bereit ist (aktueller Status »half-installed«)
InstallationDate: Installed on 2016-04-29 (26 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
RelatedPackageVersions:
 dpkg 1.18.4ubuntu1.1
 apt  1.2.10ubuntu1
SourcePackage: systemd
Title: package libsystemd0:amd64 229-4ubuntu6 failed to install/upgrade: Paket 
libsystemd0:amd64 kann nicht konfiguriert werden, da libsystemd0:i386 nicht 
bereit ist (aktueller Status »half-installed«)
UpgradeStatus: No upgrade log present (probably fresh install)

** Affects: systemd (Ubuntu)
 Importance: Undecided
 Status: New


** Tags: amd64 apport-package xenial

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to systemd in Ubuntu.
https://bugs.launchpad.net/bugs/1585710

Title:
  package libsystemd0:amd64 229-4ubuntu6 failed to install/upgrade:
  Paket libsystemd0:amd64 kann nicht konfiguriert werden, da
  libsystemd0:i386 nicht bereit ist (aktueller Status »half-installed«)

Status in systemd package in Ubuntu:
  New

Bug description:
  Error occurred while apt upgrade

  ProblemType: Package
  DistroRelease: Ubuntu 16.04
  Package: libsystemd0:amd64 229-4ubuntu6
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  ApportVersion: 2.20.1-0ubuntu2
  AptOrdering:
   libsystemd0: Configure
   libsystemd0: Configure
   NULL: ConfigurePending
  Architecture: amd64
  Date: Wed May 25 18:33:53 2016
  ErrorMessage: Paket libsystemd0:amd64 kann nicht konfiguriert werden, da 
libsystemd0:i386 nicht bereit ist (aktueller Status »half-installed«)
  InstallationDate: Installed on 2016-04-29 (26 days ago)
  InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 
(20160420.1)
  RelatedPackageVersions:
   dpkg 1.18.4ubuntu1.1
   apt  1.2.10ubuntu1
  SourcePackage: systemd
  Title: package libsystemd0:amd64 229-4ubuntu6 failed to install/upgrade: 
Paket libsystemd0:amd64 kann nicht konfiguriert werden, da libsystemd0:i386 
nicht bereit ist (aktueller Status »half-installed«)
  UpgradeStatus: No upgrade log present (probably fresh install)

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1585710/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585370] Re: pepper flash plugin disallowed from apparmor

2016-05-25 Thread Jamie Strandboge
Perhaps:
/opt/google/chrome*/PepperFlash/ r,
/opt/google/chrome*/PepperFlash/** r,
/opt/google/chrome*/PepperFlash/**.so m,

** Tags added: apparmor

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor-easyprof-ubuntu
in Ubuntu.
https://bugs.launchpad.net/bugs/1585370

Title:
  pepper flash plugin disallowed from apparmor

Status in apparmor-easyprof-ubuntu package in Ubuntu:
  Incomplete
Status in webbrowser-app package in Ubuntu:
  New

Bug description:
  When launching webbrowser-app from unity8 under confinement, i get
  disallowed errors for /opt/google/chrome/PepperFlash/manifest.json and
  /opt/google/chrome/PepperFlash/libpepflashplayer.so

  When I add the following to the apparmor profile of webbrowser-app and
  to the oxide_helper subprocess, it works:

  /opt/google/** r,

  /opt/google/**/*.so mr,

  Don't know what's exactly needed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor-easyprof-ubuntu/+bug/1585370/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1577768] Re: 16.04 some dvd do not mount automatically (but do in 14.04)

2016-05-25 Thread Sebastien Bacher
it was fixed upstream with https://git.kernel.org/cgit/utils/util-linux
/util-linux.git/commit/?id=55ad13c26fe5d0e606be5a83937f31b8cf576588 I'm
going to backport that to yakkety/xenial

** Changed in: nautilus (Ubuntu)
   Status: Confirmed => Invalid

** Changed in: gvfs (Ubuntu)
   Status: Confirmed => Invalid

** Changed in: util-linux (Ubuntu)
   Importance: Undecided => High

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to util-linux in Ubuntu.
https://bugs.launchpad.net/bugs/1577768

Title:
  16.04 some dvd do not mount automatically (but do in 14.04)

Status in gvfs package in Ubuntu:
  Invalid
Status in nautilus package in Ubuntu:
  Invalid
Status in util-linux package in Ubuntu:
  Confirmed

Bug description:
  Hi,

  here is a dvd. And ubuntu 16.04.

  When I insert that dvd, it does not show anywhere, neither in launcher
  nor in nautilus.

  But I'm able to read that dvd using vlc through menu media / open a
  disc.

  I can manually mount that dvd with

  sudo mount -t iso9660 -o ro /dev/sr0 ~/Bureau/dvd/

  Once mounted there's a dvd icon in launcher and it appears also in
  nautilus left panel.

  That same dvd automatically mounts when running ubuntu 14.04 on the
  same computer.

  I have also tested other dvd's on ubuntu 16.04 and *most* of them show
  / mount as expected.

  But *all* of them automatically show / mount in ubuntu 14.04.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/gvfs/+bug/1577768/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Joi Owen
@adconrad As it happens, it did.  I just came back to update my comment
to say so and found your question.

This suggests the libc6 update (not glibc, my server doesn't have glibc
package installed) should have required a reboot?  I don't recall if the
server mentioned a reboot was required in the motd.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585370] Re: pepper flash plugin disallowed from apparmor

2016-05-25 Thread Jamie Strandboge
An apparmor-easyprof-ubuntu task was added, but I'm not sure why. If
this is only for webbrowser-app, just add the aforementioned rules (or
similar) to the webbrowser-app policy. These rules won't work on Touch
(which is what apparmor-easyprof-ubuntu is primarily for) since those
paths aren't found on Touch. Can you elaborate on why this should be in
apparmor-easyprof-ubuntu?

** Changed in: apparmor-easyprof-ubuntu (Ubuntu)
   Status: New => Incomplete

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to apparmor-easyprof-ubuntu
in Ubuntu.
https://bugs.launchpad.net/bugs/1585370

Title:
  pepper flash plugin disallowed from apparmor

Status in apparmor-easyprof-ubuntu package in Ubuntu:
  Incomplete
Status in webbrowser-app package in Ubuntu:
  New

Bug description:
  When launching webbrowser-app from unity8 under confinement, i get
  disallowed errors for /opt/google/chrome/PepperFlash/manifest.json and
  /opt/google/chrome/PepperFlash/libpepflashplayer.so

  When I add the following to the apparmor profile of webbrowser-app and
  to the oxide_helper subprocess, it works:

  /opt/google/** r,

  /opt/google/**/*.so mr,

  Don't know what's exactly needed.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/apparmor-easyprof-ubuntu/+bug/1585370/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585352] Re: Screen comes on beyond the timeout after an incoming text with proximity near

2016-05-25 Thread Alexandros Frantzis
repowerd exhibits the correct behavior

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to unity-system-compositor in
Ubuntu.
https://bugs.launchpad.net/bugs/1585352

Title:
  Screen comes on beyond the timeout after an incoming text with
  proximity near

Status in Canonical System Image:
  New
Status in unity-system-compositor package in Ubuntu:
  New
Status in unity8 package in Ubuntu:
  New

Bug description:
  Receive an SMS with the screen face down or in the pocket
  Wait longer than the short timeout of 15 secs, say 30-60
  Uncover the proximity sensor
  The screen comes on (immediately on E4.5 but sometimes with a sizeable delay 
on mx4)

  Tested on latest proposed on E4.5 and 326 on mx4

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1585352/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1337996] Re: [HP 2133, Analog Devices AD1984A] No sound from speakers, headphones work

2016-05-25 Thread mausmaus
Exactly same sound problems on HP 2133.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1337996

Title:
  [HP 2133, Analog Devices AD1984A] No sound from speakers, headphones
  work

Status in alsa-driver package in Ubuntu:
  Expired

Bug description:
  When I play back audio, I get only sound from headphones, not from the 
built-in speakers. I'm sure that speakers aren't muted; see the attached 
screenshot of my desktop's audio output control panel (its meter shows 
activity, so audio playback seems to pass).
  Also, I have been able to get sound with LUbuntu 14.04 (I'm on XUbuntu but I 
had the same problem with the Ubuntu Live DVD).

  Thanks for looking into this
  Andreas Zapf

  ProblemType: Bug
  DistroRelease: Ubuntu 14.04
  Package: alsa-base 1.0.25+dfsg-0ubuntu4
  ProcVersionSignature: Ubuntu 3.13.0-30.54-generic 3.13.11.2
  Uname: Linux 3.13.0-30-generic i686
  NonfreeKernelModules: wl
  ApportVersion: 2.14.1-0ubuntu3.2
  Architecture: i386
  AudioDevicesInUse:
   USERPID ACCESS COMMAND
   /dev/snd/controlC0:  andreas1803 F pulseaudio
andreas2881 F pulseaudio
   /dev/snd/pcmC0D0p:   andreas1803 F...m pulseaudio
  CurrentDesktop: XFCE
  Date: Sat Jul  5 01:01:50 2014
  InstallationDate: Installed on 2014-07-04 (0 days ago)
  InstallationMedia: Xubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20140416.2)
  PackageArchitecture: all
  SourcePackage: alsa-driver
  Symptom: audio
  Symptom_AlsaPlaybackTest: ALSA playback test through plughw:VT82xx failed
  Symptom_AlsaPlaybackTestStderr: F a i l u r e   t o   r e s u m e :   I n v a 
l i d   a r g u m e n t
  Symptom_Card: VT8237A/VT8251 HDA Controller - HDA VIA VT82xx
  Symptom_Jack: Green Speaker, Internal
  Symptom_Type: Only some of outputs are working
  Title: [HP 2133, Analog Devices AD1984A, Green Speaker, Internal] Playback 
problem
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 11/11/2008
  dmi.bios.vendor: Hewlett-Packard
  dmi.bios.version: 68VGU Ver. F.06
  dmi.board.name: 3030
  dmi.board.vendor: Hewlett-Packard
  dmi.board.version: KBC Version 07.17
  dmi.chassis.asset.tag: CNU8360DWM
  dmi.chassis.type: 10
  dmi.chassis.vendor: Hewlett-Packard
  dmi.modalias: 
dmi:bvnHewlett-Packard:bvr68VGUVer.F.06:bd11/11/2008:svnHewlett-Packard:pnHP2133:pvrF.06:rvnHewlett-Packard:rn3030:rvrKBCVersion07.17:cvnHewlett-Packard:ct10:cvr:
  dmi.product.name: HP 2133
  dmi.product.version: F.06
  dmi.sys.vendor: Hewlett-Packard

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1337996/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585687] Re: Screen blanks with dual 4k displays when cursor enters built-in display

2016-05-25 Thread David
This behavior is correlated with the 
All Settings -> Displays "Scale for menu and title bars"
Built in display scale 1.38, External display scale 1: internal display blanks 
when cursor enters and reappears when cursor leaves
With 1.38 and 1.38, displays work fine
with 1.25 and 1.25, internal display blanks when cursor enters and reappears 
when cursor leaves
With 1 and 1, displays work fine.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to xorg in Ubuntu.
https://bugs.launchpad.net/bugs/1585687

Title:
  Screen blanks with dual 4k displays when cursor enters built-in
  display

Status in xorg package in Ubuntu:
  New

Bug description:
  I'm not sure where to look for more information, but happy to debug
  further.  I find that when both 4k displays are active, when the mouse
  cursor is within the external monitor area, both displays are on.
  When the mouse cursor enters the laptop's display screen area, the
  laptop screen either blanks or turns off (not sure which).

  ProblemType: Bug
  DistroRelease: Ubuntu 16.04
  Package: xorg 1:7.7+13ubuntu3
  ProcVersionSignature: Ubuntu 4.4.0-22.40-generic 4.4.8
  Uname: Linux 4.4.0-22-generic x86_64
  .tmp.unity_support_test.0:
   
  ApportVersion: 2.20.1-0ubuntu2
  Architecture: amd64
  BootLog:
   
  CompizPlugins: No value set for 
`/apps/compiz-1/general/screen0/options/active_plugins'
  CompositorRunning: compiz
  CompositorUnredirectDriverBlacklist: '(nouveau|Intel).*Mesa 8.0'
  CompositorUnredirectFSW: true
  CurrentDesktop: Unity
  Date: Wed May 25 10:37:41 2016
  DistUpgraded: Fresh install
  DistroCodename: xenial
  DistroVariant: ubuntu
  ExtraDebuggingInterest: Yes
  GraphicsCard:
   Intel Corporation Skylake Integrated Graphics [8086:191b] (rev 06) (prog-if 
00 [VGA controller])
 Subsystem: Samsung Electronics Co Ltd Skylake Integrated Graphics 
[144d:c12b]
 Subsystem: Samsung Electronics Co Ltd GM107M [GeForce GTX 950M] [144d:c12b]
  InstallationDate: Installed on 2015-12-22 (154 days ago)
  InstallationMedia: Ubuntu 15.10 "Wily Werewolf" - Release amd64 (20151021)
  MachineType: SAMSUNG ELECTRONICS CO., LTD. 940Z5L
  ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.4.0-22-generic.efi.signed 
root=UUID=24c27814-5135-4a80-9ce1-b932e2513949 ro quiet splash vt.handoff=7
  SourcePackage: xorg
  Symptom: display
  UpgradeStatus: No upgrade log present (probably fresh install)
  dmi.bios.date: 03/11/2016
  dmi.bios.vendor: American Megatrends Inc.
  dmi.bios.version: P06AFC.091.160311.SH
  dmi.board.asset.tag: No Asset Tag
  dmi.board.name: NP940Z5L-X01US
  dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
  dmi.board.version: SGL8554A1H-C01-G001-S0001+10.0.10240
  dmi.chassis.asset.tag: No Asset Tag
  dmi.chassis.type: 9
  dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
  dmi.chassis.version: N/A
  dmi.modalias: 
dmi:bvnAmericanMegatrendsInc.:bvrP06AFC.091.160311.SH:bd03/11/2016:svnSAMSUNGELECTRONICSCO.,LTD.:pn940Z5L:pvrP06AFC:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP940Z5L-X01US:rvrSGL8554A1H-C01-G001-S0001+10.0.10240:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
  dmi.product.name: 940Z5L
  dmi.product.version: P06AFC
  dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
  version.compiz: compiz 1:0.9.12.2+16.04.20160415-0ubuntu1
  version.ia32-libs: ia32-libs N/A
  version.libdrm2: libdrm2 2.4.67-1
  version.libgl1-mesa-dri: libgl1-mesa-dri 11.2.0-1ubuntu2
  version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A
  version.libgl1-mesa-glx: libgl1-mesa-glx 11.2.0-1ubuntu2
  version.xserver-xorg-core: xserver-xorg-core 2:1.18.3-1ubuntu2
  version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.10.1-1ubuntu2
  version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:7.7.0-1
  version.xserver-xorg-video-intel: xserver-xorg-video-intel 
2:2.99.917+git20160325-1ubuntu1
  version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 
1:1.0.12-1build2
  xserver.bootTime: Wed May 25 09:50:07 2016
  xserver.configfile: default
  xserver.errors:
   Failed to load module "nvidia" (module does not exist, 0)
   Failed to load module "nvidia" (module does not exist, 0)
   Unknown chipset: NV117
  xserver.logfile: /var/log/Xorg.0.log
  xserver.outputs:
   product id   16714 
   vendor SDC
  xserver.version: 2:1.18.3-1ubuntu2

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/xorg/+bug/1585687/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585589] Re: drop upstart-sysv

2016-05-25 Thread Adam Conrad
It's not so much about maintaining upstart as it is about maintaining
upstart support in every daemon, and making sure the boot sequence
continues to function well, etc.  That's completely wasted effort, and
the only reason we made sure it continued functioning up until Xenial
was to make sure that upgrades could run smoothly.

Putting alternate init systems in universe without also committing to
support them would be naive at best, actively harmful to users, at
worst.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upstart in Ubuntu.
https://bugs.launchpad.net/bugs/1585589

Title:
  drop upstart-sysv

Status in upstart package in Ubuntu:
  Triaged

Bug description:
  I'm using Ubuntu 16.10 dev with init 1.33ubuntu2 and I'm noticing that
  it does now pre-depend on "systemd-sysv" instead of "systemd-sysv |
  upstart-sysv". Since init is essential and upstart-sysv conflicts with
  systemd-sysv this means it is not possible to install Upstart in a
  sane way anymore.

  In case Upstart is not supported anymore maybe all related packages
  should be removed from the yakkety repository then (since Upstart
  can't be installed anymore with apt for the reasons above) to avoid
  confusion.

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/upstart/+bug/1585589/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585659] Re: indicator-network should show a "4G+" or "LTE+" when the phone connected with a LTE Advanced network

2016-05-25 Thread Pete Woods
I edited the description so that the indicator-network and ofono code
snippets were the right place. It seems quite a shame that ofono and
indicator-network convert enums to and from strings.

** Description changed:

  The operators are promoting "Carrier Aggregation"[1] as the latest
  network capability. The capability should be visible when the user is
  connected to the LTE-Advanced network.
  
- 
  1) ril interface from mtk supports the extended radio type
  
-  // Same as the value in TelephonyManager.java
-  enum NetworkType {
-   NETWORK_TYPE_UNKNOWN = 0,
-   NETWORK_TYPE_GPRS = 1,
-   NETWORK_TYPE_EDGE = 2,
-   NETWORK_TYPE_UMTS = 3,
-   NETWORK_TYPE_CDMA = 4,
-   NETWORK_TYPE_EVDO_0 = 5,
-   NETWORK_TYPE_EVDO_A = 6,
-   NETWORK_TYPE_1xRTT = 7,
-   NETWORK_TYPE_HSDPA = 8,
-   NETWORK_TYPE_HSUPA = 9,
-   NETWORK_TYPE_HSPA = 10,
-   NETWORK_TYPE_IDEN = 11,
-   NETWORK_TYPE_EVDO_B = 12,
-   NETWORK_TYPE_LTE = 13,
-   NETWORK_TYPE_EHRPD = 14,
-   NETWORK_TYPE_HSPAP = 15,
-   NETWORK_TYPE_GSM = 16,
-  };
+  // Same as the value in TelephonyManager.java
+  enum NetworkType {
+   NETWORK_TYPE_UNKNOWN = 0,
+   NETWORK_TYPE_GPRS = 1,
+   NETWORK_TYPE_EDGE = 2,
+   NETWORK_TYPE_UMTS = 3,
+   NETWORK_TYPE_CDMA = 4,
+   NETWORK_TYPE_EVDO_0 = 5,
+   NETWORK_TYPE_EVDO_A = 6,
+   NETWORK_TYPE_1xRTT = 7,
+   NETWORK_TYPE_HSDPA = 8,
+   NETWORK_TYPE_HSUPA = 9,
+   NETWORK_TYPE_HSPA = 10,
+   NETWORK_TYPE_IDEN = 11,
+   NETWORK_TYPE_EVDO_B = 12,
+   NETWORK_TYPE_LTE = 13,
+   NETWORK_TYPE_EHRPD = 14,
+   NETWORK_TYPE_HSPAP = 15,
+   NETWORK_TYPE_GSM = 16,
+  };
  
-  // MTK extend radio tech see ServiceState.java
-  enum RadioTechExt {
-   RIL_RADIO_TECHNOLOGY_MTK = 128,
-   RIL_RADIO_TECHNOLOGY_HSDPAP, //129
-   RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
-   RIL_RADIO_TECHNOLOGY_HSUPAP, //131
-   RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
-   RIL_RADIO_TECHNOLOGY_DC_DPA, //133
-   RIL_RADIO_TECHNOLOGY_DC_UPA, //134
-   RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
-   RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
-   RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
-   RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
-   RIL_RADIO_TECHNOLOGY_LTEA //139
-  };
+  // MTK extend radio tech see ServiceState.java
+  enum RadioTechExt {
+   RIL_RADIO_TECHNOLOGY_MTK = 128,
+   RIL_RADIO_TECHNOLOGY_HSDPAP, //129
+   RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
+   RIL_RADIO_TECHNOLOGY_HSUPAP, //131
+   RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
+   RIL_RADIO_TECHNOLOGY_DC_DPA, //133
+   RIL_RADIO_TECHNOLOGY_DC_UPA, //134
+   RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
+   RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
+   RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
+   RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
+   RIL_RADIO_TECHNOLOGY_LTEA //139
+  };
  
  ref
  m95_ubuntu/frameworks/base/telephony/java/android/telephony/ServiceState.java
  
m95_ubuntu/vendor/mediatek/proprietary/hardware/ril/rilproxy/mtk-rilproxy/telephony/agps/RpAgpsNSlotController.h
  
  2) ofono should support a new radio bearer type
  
  (ofono trunk)
- static Modem::Bearer str2technology(const QString& str)
- {
-  if (str.isEmpty() || str == "none")
-   return Modem::Bearer::notAvailable;
-  if (str == "gprs")
-   return Modem::Bearer::gprs;
-  if (str == "edge")
-   return Modem::Bearer::edge;
-  if (str == "umts")
-   return Modem::Bearer::umts;
-  if (str == "hspa" || str == "hsupa" || str == "hsdpa")
-   return Modem::Bearer::hspa;
-  if (str == "hspap")
-   return Modem::Bearer::hspa_plus;
-  if (str == "lte")
-   return Modem::Bearer::lte;
- 
-  qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
-  return Modem::Bearer::notAvailable;
- }
- 
- 3) indicator-network should add LTEA support with a new icon
- 
- (0.7.1+15.04.20160304-0ubuntu1 )
  +const char *packet_bearer_to_string(int bearer)
  +{
  + switch (bearer) {
  + case PACKET_BEARER_NONE:
  + return "none";
  + case PACKET_BEARER_GPRS:
  + return "gprs";
  + case PACKET_BEARER_EGPRS:
  + return "edge";
  + case PACKET_BEARER_UMTS:
  + return "umts";
  + case PACKET_BEARER_HSUPA:
  + return "hsupa";
  + case PACKET_BEARER_HSDPA:
  + return "hsdpa";
  + case PACKET_BEARER_HSUPA_HSDPA:
  + return "hspa";
  + case PACKET_BEARER_EPS:
  + return "lte";
  + }
  + return "";
  +}
  
+ 3) indicator-network should add LTEA support with a new icon
+ 
+ (0.7.1+15.04.20160304-0ubuntu1 )
+ static Modem::Bearer str2technology(const QString& str)
+ {
+  if (str.isEmpty() || str == "none")
+   return Modem::Bearer::notAvailable;
+  if (str == "gprs")
+   return Modem::Bearer::gprs;
+  if (str == "edge")
+   return Modem::Bearer::edge;
+  if (str == "umts")
+   return Modem::Bearer::umts;
+  if (str == "hspa" || str == "hsupa" || str == "hsdpa")
+   return Modem::Bearer::hspa;
+  if (str == "hspap")
+   return Modem::Bearer::hspa_plus;
+  if (str == "lte")
+   return Modem::Bearer::lte;
+ 
+  qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
+  return Modem::Bearer::notAvailable;
+ }
+ 
  [1] 

[Touch-packages] [Bug 1585659] Re: indicator-network should show a "4G+" or "LTE+" when the phone connected with a LTE Advanced network

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: libqofono (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585659

Title:
  indicator-network should show a "4G+" or "LTE+" when the phone
  connected with a LTE Advanced network

Status in Canonical System Image:
  Confirmed
Status in Ubuntu UX:
  New
Status in indicator-network package in Ubuntu:
  Confirmed
Status in libqofono package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed

Bug description:
  The operators are promoting "Carrier Aggregation"[1] as the latest
  network capability. The capability should be visible when the user is
  connected to the LTE-Advanced network.

  
  1) ril interface from mtk supports the extended radio type

   // Same as the value in TelephonyManager.java
   enum NetworkType {
NETWORK_TYPE_UNKNOWN = 0,
NETWORK_TYPE_GPRS = 1,
NETWORK_TYPE_EDGE = 2,
NETWORK_TYPE_UMTS = 3,
NETWORK_TYPE_CDMA = 4,
NETWORK_TYPE_EVDO_0 = 5,
NETWORK_TYPE_EVDO_A = 6,
NETWORK_TYPE_1xRTT = 7,
NETWORK_TYPE_HSDPA = 8,
NETWORK_TYPE_HSUPA = 9,
NETWORK_TYPE_HSPA = 10,
NETWORK_TYPE_IDEN = 11,
NETWORK_TYPE_EVDO_B = 12,
NETWORK_TYPE_LTE = 13,
NETWORK_TYPE_EHRPD = 14,
NETWORK_TYPE_HSPAP = 15,
NETWORK_TYPE_GSM = 16,
   };

   // MTK extend radio tech see ServiceState.java
   enum RadioTechExt {
RIL_RADIO_TECHNOLOGY_MTK = 128,
RIL_RADIO_TECHNOLOGY_HSDPAP, //129
RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
RIL_RADIO_TECHNOLOGY_HSUPAP, //131
RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
RIL_RADIO_TECHNOLOGY_DC_DPA, //133
RIL_RADIO_TECHNOLOGY_DC_UPA, //134
RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
RIL_RADIO_TECHNOLOGY_LTEA //139
   };

  ref
  m95_ubuntu/frameworks/base/telephony/java/android/telephony/ServiceState.java
  
m95_ubuntu/vendor/mediatek/proprietary/hardware/ril/rilproxy/mtk-rilproxy/telephony/agps/RpAgpsNSlotController.h

  2) ofono should support a new radio bearer type

  (ofono trunk)
  static Modem::Bearer str2technology(const QString& str)
  {
   if (str.isEmpty() || str == "none")
return Modem::Bearer::notAvailable;
   if (str == "gprs")
return Modem::Bearer::gprs;
   if (str == "edge")
return Modem::Bearer::edge;
   if (str == "umts")
return Modem::Bearer::umts;
   if (str == "hspa" || str == "hsupa" || str == "hsdpa")
return Modem::Bearer::hspa;
   if (str == "hspap")
return Modem::Bearer::hspa_plus;
   if (str == "lte")
return Modem::Bearer::lte;

   qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
   return Modem::Bearer::notAvailable;
  }

  3) indicator-network should add LTEA support with a new icon

  (0.7.1+15.04.20160304-0ubuntu1 )
  +const char *packet_bearer_to_string(int bearer)
  +{
  + switch (bearer) {
  + case PACKET_BEARER_NONE:
  + return "none";
  + case PACKET_BEARER_GPRS:
  + return "gprs";
  + case PACKET_BEARER_EGPRS:
  + return "edge";
  + case PACKET_BEARER_UMTS:
  + return "umts";
  + case PACKET_BEARER_HSUPA:
  + return "hsupa";
  + case PACKET_BEARER_HSDPA:
  + return "hsdpa";
  + case PACKET_BEARER_HSUPA_HSDPA:
  + return "hspa";
  + case PACKET_BEARER_EPS:
  + return "lte";
  + }
  + return "";
  +}

  [1] https://www.qualcomm.com/invention/technologies/lte/lte-carrier-
  aggregation

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1585659/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585659] Re: indicator-network should show a "4G+" or "LTE+" when the phone connected with a LTE Advanced network

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: ofono (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585659

Title:
  indicator-network should show a "4G+" or "LTE+" when the phone
  connected with a LTE Advanced network

Status in Canonical System Image:
  Confirmed
Status in Ubuntu UX:
  New
Status in indicator-network package in Ubuntu:
  Confirmed
Status in libqofono package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed

Bug description:
  The operators are promoting "Carrier Aggregation"[1] as the latest
  network capability. The capability should be visible when the user is
  connected to the LTE-Advanced network.

  
  1) ril interface from mtk supports the extended radio type

   // Same as the value in TelephonyManager.java
   enum NetworkType {
NETWORK_TYPE_UNKNOWN = 0,
NETWORK_TYPE_GPRS = 1,
NETWORK_TYPE_EDGE = 2,
NETWORK_TYPE_UMTS = 3,
NETWORK_TYPE_CDMA = 4,
NETWORK_TYPE_EVDO_0 = 5,
NETWORK_TYPE_EVDO_A = 6,
NETWORK_TYPE_1xRTT = 7,
NETWORK_TYPE_HSDPA = 8,
NETWORK_TYPE_HSUPA = 9,
NETWORK_TYPE_HSPA = 10,
NETWORK_TYPE_IDEN = 11,
NETWORK_TYPE_EVDO_B = 12,
NETWORK_TYPE_LTE = 13,
NETWORK_TYPE_EHRPD = 14,
NETWORK_TYPE_HSPAP = 15,
NETWORK_TYPE_GSM = 16,
   };

   // MTK extend radio tech see ServiceState.java
   enum RadioTechExt {
RIL_RADIO_TECHNOLOGY_MTK = 128,
RIL_RADIO_TECHNOLOGY_HSDPAP, //129
RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
RIL_RADIO_TECHNOLOGY_HSUPAP, //131
RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
RIL_RADIO_TECHNOLOGY_DC_DPA, //133
RIL_RADIO_TECHNOLOGY_DC_UPA, //134
RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
RIL_RADIO_TECHNOLOGY_LTEA //139
   };

  ref
  m95_ubuntu/frameworks/base/telephony/java/android/telephony/ServiceState.java
  
m95_ubuntu/vendor/mediatek/proprietary/hardware/ril/rilproxy/mtk-rilproxy/telephony/agps/RpAgpsNSlotController.h

  2) ofono should support a new radio bearer type

  (ofono trunk)
  static Modem::Bearer str2technology(const QString& str)
  {
   if (str.isEmpty() || str == "none")
return Modem::Bearer::notAvailable;
   if (str == "gprs")
return Modem::Bearer::gprs;
   if (str == "edge")
return Modem::Bearer::edge;
   if (str == "umts")
return Modem::Bearer::umts;
   if (str == "hspa" || str == "hsupa" || str == "hsdpa")
return Modem::Bearer::hspa;
   if (str == "hspap")
return Modem::Bearer::hspa_plus;
   if (str == "lte")
return Modem::Bearer::lte;

   qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
   return Modem::Bearer::notAvailable;
  }

  3) indicator-network should add LTEA support with a new icon

  (0.7.1+15.04.20160304-0ubuntu1 )
  +const char *packet_bearer_to_string(int bearer)
  +{
  + switch (bearer) {
  + case PACKET_BEARER_NONE:
  + return "none";
  + case PACKET_BEARER_GPRS:
  + return "gprs";
  + case PACKET_BEARER_EGPRS:
  + return "edge";
  + case PACKET_BEARER_UMTS:
  + return "umts";
  + case PACKET_BEARER_HSUPA:
  + return "hsupa";
  + case PACKET_BEARER_HSDPA:
  + return "hsdpa";
  + case PACKET_BEARER_HSUPA_HSDPA:
  + return "hspa";
  + case PACKET_BEARER_EPS:
  + return "lte";
  + }
  + return "";
  +}

  [1] https://www.qualcomm.com/invention/technologies/lte/lte-carrier-
  aggregation

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1585659/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585659] Re: indicator-network should show a "4G+" or "LTE+" when the phone connected with a LTE Advanced network

2016-05-25 Thread Pete Woods
Sounds good. Tell me what string to expect from libqofono here:


static Modem::Bearer str2technology(const QString& str)
{
if (str.isEmpty() || str == "none")
return Modem::Bearer::notAvailable;
if (str == "gprs")
return Modem::Bearer::gprs;
if (str == "edge")
return Modem::Bearer::edge;
if (str == "umts")
return Modem::Bearer::umts;
if (str == "hspa" || str == "hsupa" || str == "hsdpa")
return Modem::Bearer::hspa;
if (str == "hspap")
return Modem::Bearer::hspa_plus;
if (str == "lte")
return Modem::Bearer::lte;
if (str == "??")
return Modem::Bearer::lte_a;

qWarning() << __PRETTY_FUNCTION__  << ": Unknown technology" << str;
return Modem::Bearer::notAvailable;
}

and the name of the icon to use here:

QString Icons::bearerIcon(wwan::Modem::Bearer bearer)
{
switch (bearer)
{
case wwan::Modem::Bearer::notAvailable:
return "";
case wwan::Modem::Bearer::gprs:
return "network-cellular-pre-edge";
case wwan::Modem::Bearer::edge:
return "network-cellular-edge";
case wwan::Modem::Bearer::umts:
return "network-cellular-3g";
case wwan::Modem::Bearer::hspa:
return "network-cellular-hspa";
case wwan::Modem::Bearer::hspa_plus:
return "network-cellular-hspa-plus";
case wwan::Modem::Bearer::lte:
return "network-cellular-lte";
case wwan::Modem::Bearer::lte_a:
return "network-cellular-";
}
// shouldn't be reached
return QString();
}

and I'm all good!

** Also affects: libqofono (Ubuntu)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585659

Title:
  indicator-network should show a "4G+" or "LTE+" when the phone
  connected with a LTE Advanced network

Status in Canonical System Image:
  Confirmed
Status in Ubuntu UX:
  New
Status in indicator-network package in Ubuntu:
  Confirmed
Status in libqofono package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed

Bug description:
  The operators are promoting "Carrier Aggregation"[1] as the latest
  network capability. The capability should be visible when the user is
  connected to the LTE-Advanced network.

  
  1) ril interface from mtk supports the extended radio type

   // Same as the value in TelephonyManager.java
   enum NetworkType {
NETWORK_TYPE_UNKNOWN = 0,
NETWORK_TYPE_GPRS = 1,
NETWORK_TYPE_EDGE = 2,
NETWORK_TYPE_UMTS = 3,
NETWORK_TYPE_CDMA = 4,
NETWORK_TYPE_EVDO_0 = 5,
NETWORK_TYPE_EVDO_A = 6,
NETWORK_TYPE_1xRTT = 7,
NETWORK_TYPE_HSDPA = 8,
NETWORK_TYPE_HSUPA = 9,
NETWORK_TYPE_HSPA = 10,
NETWORK_TYPE_IDEN = 11,
NETWORK_TYPE_EVDO_B = 12,
NETWORK_TYPE_LTE = 13,
NETWORK_TYPE_EHRPD = 14,
NETWORK_TYPE_HSPAP = 15,
NETWORK_TYPE_GSM = 16,
   };

   // MTK extend radio tech see ServiceState.java
   enum RadioTechExt {
RIL_RADIO_TECHNOLOGY_MTK = 128,
RIL_RADIO_TECHNOLOGY_HSDPAP, //129
RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
RIL_RADIO_TECHNOLOGY_HSUPAP, //131
RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
RIL_RADIO_TECHNOLOGY_DC_DPA, //133
RIL_RADIO_TECHNOLOGY_DC_UPA, //134
RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
RIL_RADIO_TECHNOLOGY_LTEA //139
   };

  ref
  m95_ubuntu/frameworks/base/telephony/java/android/telephony/ServiceState.java
  
m95_ubuntu/vendor/mediatek/proprietary/hardware/ril/rilproxy/mtk-rilproxy/telephony/agps/RpAgpsNSlotController.h

  2) ofono should support a new radio bearer type

  (ofono trunk)
  static Modem::Bearer str2technology(const QString& str)
  {
   if (str.isEmpty() || str == "none")
return Modem::Bearer::notAvailable;
   if (str == "gprs")
return Modem::Bearer::gprs;
   if (str == "edge")
return Modem::Bearer::edge;
   if (str == "umts")
return Modem::Bearer::umts;
   if (str == "hspa" || str == "hsupa" || str == "hsdpa")
return Modem::Bearer::hspa;
   if (str == "hspap")
return Modem::Bearer::hspa_plus;
   if (str == "lte")
return Modem::Bearer::lte;

   qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
   return Modem::Bearer::notAvailable;
  }

  3) indicator-network should add LTEA support with a new icon

  (0.7.1+15.04.20160304-0ubuntu1 )
  +const char *packet_bearer_to_string(int bearer)
  +{
  + switch (bearer) {
  + case PACKET_BEARER_NONE:
  + return "none";
  + case PACKET_BEARER_GPRS:
  + return "gprs";
  + case PACKET_BEARER_EGPRS:
  + return "edge";
  + case PACKET_BEARER_UMTS:
  + return "umts";
  + case PACKET_BEARER_HSUPA:
  + return "hsupa";
  + case PACKET_BEARER_HSDPA:
  + return "hsdpa";
  + case PACKET_BEARER_HSUPA_HSDPA:
  + 

[Touch-packages] [Bug 1585202] Re: Network Manager Fails to Automatically Connect to VPN After User Login

2016-05-25 Thread Bug Watch Updater
** Changed in: network-manager
   Status: Unknown => Confirmed

** Changed in: network-manager
   Importance: Unknown => Medium

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to network-manager in Ubuntu.
https://bugs.launchpad.net/bugs/1585202

Title:
  Network Manager Fails to Automatically Connect to VPN After User Login

Status in NetworkManager:
  Confirmed
Status in network-manager package in Ubuntu:
  Triaged

Bug description:
  Ubuntu 16.04 (Unity) with Ethernet connection set to automatically
  connect to VPN in Network Manager after user login (to Ubuntu
  desktop).

  Network Manager does not automatically connect to VPN after login.
  Manually selecting the VPN connection from Network Manager in the
  system tray after login results in normal connection.

  Changing  "password-flags=1" to "password-flags=0" in the VPN
  configuration file in /etc/NetworkManager/system-connections, Network-
  Manager adds "password=" to that configuration file where  is
  VPN connection password in plain text.  This change allow Network
  Manager to connect to VPN automatically after user login.

  Having to store VPN password in plain text in order for Network
  Manager to automatically connect is not secure.

  It appears Network Manager cannot obtain VPN password from Seahorse
  after user login.

To manage notifications about this bug go to:
https://bugs.launchpad.net/network-manager/+bug/1585202/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585691] [NEW] [regression] keyboard backlight is not exported in upower 0.99.4-2git1

2016-05-25 Thread Treviño
Public bug reported:

This is in yakkety.

With last upower:
   (upowerd:12806): UPower-WARNING **: failed to convert brightness: 2

** Affects: upower
 Importance: Unknown
 Status: Unknown

** Affects: upower (Ubuntu)
 Importance: High
 Assignee: Martin Pitt (pitti)
 Status: Confirmed

** Bug watch added: freedesktop.org Bugzilla #96215
   https://bugs.freedesktop.org/show_bug.cgi?id=96215

** Also affects: upower via
   https://bugs.freedesktop.org/show_bug.cgi?id=96215
   Importance: Unknown
   Status: Unknown

** Summary changed:

- [regression] keyboard backlight is not exported as per commit 793642bfb 
+ [regression] keyboard backlight is not exported in upower 0.99.4-2git1

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upower in Ubuntu.
https://bugs.launchpad.net/bugs/1585691

Title:
  [regression] keyboard backlight is not exported in upower 0.99.4-2git1

Status in Upower:
  Unknown
Status in upower package in Ubuntu:
  Confirmed

Bug description:
  This is in yakkety.

  With last upower:
 (upowerd:12806): UPower-WARNING **: failed to convert brightness: 2

To manage notifications about this bug go to:
https://bugs.launchpad.net/upower/+bug/1585691/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Michael Lueck
For our servers (12.04) manually restarting the Apache service would
cause the same error. Apache would not manually restart.

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1565772] Re: Allow plugins to decide which username to set on new accounts

2016-05-25 Thread Brian Murray
** Also affects: gnome-control-center-signon (Ubuntu Xenial)
   Importance: Undecided
   Status: New

** Also affects: account-plugins (Ubuntu Xenial)
   Importance: Undecided
   Status: New

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to gnome-control-center-
signon in Ubuntu.
https://bugs.launchpad.net/bugs/1565772

Title:
  Allow plugins to decide which username to set on new accounts

Status in Online Accounts: Account plugins:
  Fix Released
Status in Canonical System Image:
  Fix Committed
Status in Online Accounts: GNOME Control Center:
  Fix Released
Status in webapps-sprint:
  Fix Committed
Status in account-plugins package in Ubuntu:
  In Progress
Status in gnome-control-center-signon package in Ubuntu:
  In Progress
Status in account-plugins source package in Xenial:
  New
Status in gnome-control-center-signon source package in Xenial:
  New

Bug description:
  This bug is related to bug 1547647, even though it makes sense in any
  case.

  Currently, the ApOAuthPlugin class in libaccount-plugin gets the
  username from the SignonIdentity, which in turn gets it from signon-
  ui, which in the current WebKit1 implementation gets it from the DOM
  of the login webpage. This is a hack, it's fragile, not trivial to
  port to the Oxide web engine, and possibly against some providers'
  guidelines.

  We should retrieve the username using some REST API provided by the
  service, and in order to do so we need to extend libaccounts-plugin
  with some hooks which subclasses can use to get the username.

  Once we fix this we can also get rid of the files /etc/signon-ui
  /webkit-options.d/, which are conflicting with those installed by the
  KDE account plugins packages.


  SRU information
  ===

  [Impact] The same file /etc/signon-ui/webkit-
  options.d/www.facebook.com.conf is installed by the account-plugin-
  facebook package (used by Unity) and by kaccount-providers (used by
  KDE). See this bug's duplicates to see actual bug reports.

  [Test Case] Install both account-plugin-facebook and kaccount-
  providers and you'll get the conflict.

  [Regression Potential] Users running KDE will be completely unaffected
  by this. Users running Unity might see a change when creating accounts
  in System Settings->Online Accounts: with this bugfix, the account's
  display name is obtained by making a REST API call to the remote
  service, rather than by scrapping the DOM of the server webpages
  (which is a hack, and prone to errors if the providers' webpage
  changes). The new way of retrieving the username is the proper one,
  and it's been tested to work reliably. In any case, the worst thing
  that might happen is that accounts get created with an empty display
  name, which is mostly an aesthetic problem (the display name is used
  only for UI purposes).

To manage notifications about this bug go to:
https://bugs.launchpad.net/account-plugins/+bug/1565772/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585659] Re: indicator-network should show a "4G+" or "LTE+" when the phone connected with a LTE Advanced network

2016-05-25 Thread Launchpad Bug Tracker
Status changed to 'Confirmed' because the bug affects multiple users.

** Changed in: indicator-network (Ubuntu)
   Status: New => Confirmed

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1585659

Title:
  indicator-network should show a "4G+" or "LTE+" when the phone
  connected with a LTE Advanced network

Status in Canonical System Image:
  Confirmed
Status in Ubuntu UX:
  New
Status in indicator-network package in Ubuntu:
  Confirmed
Status in libqofono package in Ubuntu:
  Confirmed
Status in ofono package in Ubuntu:
  Confirmed

Bug description:
  The operators are promoting "Carrier Aggregation"[1] as the latest
  network capability. The capability should be visible when the user is
  connected to the LTE-Advanced network.

  
  1) ril interface from mtk supports the extended radio type

   // Same as the value in TelephonyManager.java
   enum NetworkType {
NETWORK_TYPE_UNKNOWN = 0,
NETWORK_TYPE_GPRS = 1,
NETWORK_TYPE_EDGE = 2,
NETWORK_TYPE_UMTS = 3,
NETWORK_TYPE_CDMA = 4,
NETWORK_TYPE_EVDO_0 = 5,
NETWORK_TYPE_EVDO_A = 6,
NETWORK_TYPE_1xRTT = 7,
NETWORK_TYPE_HSDPA = 8,
NETWORK_TYPE_HSUPA = 9,
NETWORK_TYPE_HSPA = 10,
NETWORK_TYPE_IDEN = 11,
NETWORK_TYPE_EVDO_B = 12,
NETWORK_TYPE_LTE = 13,
NETWORK_TYPE_EHRPD = 14,
NETWORK_TYPE_HSPAP = 15,
NETWORK_TYPE_GSM = 16,
   };

   // MTK extend radio tech see ServiceState.java
   enum RadioTechExt {
RIL_RADIO_TECHNOLOGY_MTK = 128,
RIL_RADIO_TECHNOLOGY_HSDPAP, //129
RIL_RADIO_TECHNOLOGY_HSDPAP_UPA, //130
RIL_RADIO_TECHNOLOGY_HSUPAP, //131
RIL_RADIO_TECHNOLOGY_HSUPAP_DPA, //132
RIL_RADIO_TECHNOLOGY_DC_DPA, //133
RIL_RADIO_TECHNOLOGY_DC_UPA, //134
RIL_RADIO_TECHNOLOGY_DC_HSDPAP, //135
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_UPA, //136
RIL_RADIO_TECHNOLOGY_DC_HSDPAP_DPA, //137
RIL_RADIO_TECHNOLOGY_DC_HSPAP, //138
RIL_RADIO_TECHNOLOGY_LTEA //139
   };

  ref
  m95_ubuntu/frameworks/base/telephony/java/android/telephony/ServiceState.java
  
m95_ubuntu/vendor/mediatek/proprietary/hardware/ril/rilproxy/mtk-rilproxy/telephony/agps/RpAgpsNSlotController.h

  2) ofono should support a new radio bearer type

  (ofono trunk)
  static Modem::Bearer str2technology(const QString& str)
  {
   if (str.isEmpty() || str == "none")
return Modem::Bearer::notAvailable;
   if (str == "gprs")
return Modem::Bearer::gprs;
   if (str == "edge")
return Modem::Bearer::edge;
   if (str == "umts")
return Modem::Bearer::umts;
   if (str == "hspa" || str == "hsupa" || str == "hsdpa")
return Modem::Bearer::hspa;
   if (str == "hspap")
return Modem::Bearer::hspa_plus;
   if (str == "lte")
return Modem::Bearer::lte;

   qWarning() << PRETTY_FUNCTION << ": Unknown techonology" << str;
   return Modem::Bearer::notAvailable;
  }

  3) indicator-network should add LTEA support with a new icon

  (0.7.1+15.04.20160304-0ubuntu1 )
  +const char *packet_bearer_to_string(int bearer)
  +{
  + switch (bearer) {
  + case PACKET_BEARER_NONE:
  + return "none";
  + case PACKET_BEARER_GPRS:
  + return "gprs";
  + case PACKET_BEARER_EGPRS:
  + return "edge";
  + case PACKET_BEARER_UMTS:
  + return "umts";
  + case PACKET_BEARER_HSUPA:
  + return "hsupa";
  + case PACKET_BEARER_HSDPA:
  + return "hsdpa";
  + case PACKET_BEARER_HSUPA_HSDPA:
  + return "hspa";
  + case PACKET_BEARER_EPS:
  + return "lte";
  + }
  + return "";
  +}

  [1] https://www.qualcomm.com/invention/technologies/lte/lte-carrier-
  aggregation

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1585659/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1373463] Re: [indicators] Impossible to disable cellular data from indicator

2016-05-25 Thread Robin Heroldich
I don't see the toggle/switch on the indicator with the latest rc-
proposed image. Has this update landed yet?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to indicator-network in
Ubuntu.
https://bugs.launchpad.net/bugs/1373463

Title:
  [indicators] Impossible to disable cellular data from indicator

Status in Canonical System Image:
  In Progress
Status in Ubuntu UX:
  Triaged
Status in indicator-network package in Ubuntu:
  Fix Released
Status in ubuntu-system-settings package in Ubuntu:
  Fix Released

Bug description:
  I was wondering : Why it isn't possible to disable data from the
  network indicator ? Probably with a switch button that offer the
  choice between no data or data activated (with the last data activated
  state (2g only or 2G,3G,4G).

  Why this ? Because it's the first setting to change to save battery,
  and probably one of the most used (I asked around me, everyone agreed
  they would prefer that over Wi-Fi if only one was possible).

  I think it's stupid to go to the settings app for the most common
  action (and very frustrating). Of course, this also apply for the
  battery setting page (that already contain Wi-Fi, GPS, Bluetooth and
  brightness settings).

  I asked that on the phone ML, I've been invited to file a wishlist bug
  there to "help" designers with next iteration of network indicator. So
  here it is !

  [1] : mailing list discussion with already some support to this idea :
  https://lists.launchpad.net/ubuntu-phone/msg09910.html

To manage notifications about this bug go to:
https://bugs.launchpad.net/canonical-devices-system-image/+bug/1373463/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1585614] Re: PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined in file libc.so.6 with link time reference

2016-05-25 Thread Adam Conrad
@jlellis Does hard restarting vsftpd clear up the issue?

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to eglibc in Ubuntu.
https://bugs.launchpad.net/bugs/1585614

Title:
  PHP Update on 2016-05-25 causes Apache not to restart, libm.so.6:
  symbol __strtold_nan, version GLIBC_PRIVATE not defined in file
  libc.so.6 with link time reference

Status in eglibc package in Ubuntu:
  Confirmed

Bug description:
  This morning I applied the following updates to Ubuntu 12.04
  webservers:

  The following packages are currently pending an upgrade:

   apt 0.8.16~exp12ubuntu10.27
   apt-transport-https 0.8.16~exp12ubuntu10.27
   apt-utils 0.8.16~exp12ubuntu10.27
   libapache2-mod-php5 5.3.10-1ubuntu3.23
   libapt-inst1.4 0.8.16~exp12ubuntu10.27
   libapt-pkg4.12 0.8.16~exp12ubuntu10.27
   php5-cli 5.3.10-1ubuntu3.23
   php5-common 5.3.10-1ubuntu3.23
   php5-curl 5.3.10-1ubuntu3.23
   php5-dev 5.3.10-1ubuntu3.23
   php5-gd 5.3.10-1ubuntu3.23
   php5-mysql 5.3.10-1ubuntu3.23
   php-pear 5.3.10-1ubuntu3.23

  Apache fails to restart, siting error:

  apache2: Syntax error on line 212 of /etc/apache2/apache2.conf: Syntax
  error on line 1 of /etc/apache2/mods-enabled/php5.load: Cannot load
  /usr/lib/apache2/modules/libphp5.so into server: /lib/x86_64-linux-
  gnu/libm.so.6: symbol __strtold_nan, version GLIBC_PRIVATE not defined
  in file libc.so.6 with link time reference

  Into file /var/log/apache2/error.log

  Looks like I am trying to roll back all those php packages... Which I
  see several updates marked Security Update in the changelogs, thus
  checking the "security vulnerability" box as rolling back in this case
  is such. :-(

To manage notifications about this bug go to:
https://bugs.launchpad.net/ubuntu/+source/eglibc/+bug/1585614/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1265611] Re: No sound with HDA Intel, VIA VT8237A/VT8251, kernel 3.12

2016-05-25 Thread mausmaus
Exactly same problem of post #7, Lubuntu 14.04 kernel 4.2.0-36-generic, on HP 
Netbook HP2133.
no sound from speakers, light sound from headphones.
>From live CD (USB installer 14.04) no sound.
Speakers worked perfectly on old 10.04.
Perfect on dual-booted WinXp (sorry!)
Will try Mint.
Any suggestions?
Regards
Maurizio Maurizi

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to alsa-driver in Ubuntu.
https://bugs.launchpad.net/bugs/1265611

Title:
  No sound with HDA Intel, VIA VT8237A/VT8251, kernel 3.12

Status in ALSA driver:
  Unknown
Status in alsa-driver package in Ubuntu:
  Confirmed

Bug description:
  After updating my system to Ubuntu Trusty Tahr (development branch) Release:  
14.04
  my soundcard VIA Technologies, Inc. VT8237A/VT8251 HDA Controller is not 
working anymore on the newer kernel (3.12).
  After booting an older kernel  (3.2) the card is working.

  Already tried various options in /etc/modprobe.d/alsa-base.conf, 
  e.g. options snd-hda-intel probe_mask=1 model=3stack-dig but without success

  Configuration infos
  lspci: 04:01.0 Audio device: VIA Technologies, Inc. VT8237A/VT8251 HDA 
Controller

  Bad system configuration:
  --
  Linux version 3.12.0-7-generic (buildd@aatxe) (gcc version 4.8.2 
(Ubuntu/Linaro 4.8.2-8ubuntu1) ) #15-Ubuntu SMP Sun Dec 8 23:39:27 UTC 2013 
(Ubuntu 3.12.0-7.15-generic 3.12.4)

  [0.00] Command line: BOOT_IMAGE=/boot/vmlinuz-3.12.0-7-generic
  root=UUID=cd684c44-c353-4cdf-8242-a865c65b61b3 ro quiet splash
  vt.handoff=7

  [   21.342849] hda-intel :04:01.0: Using VIACOMBO position fix
  [   21.342893] snd_hda_intel :04:01.0: irq 68 for MSI/MSI-X
  [   22.348029] hda-intel :04:01.0: Codec #0 probe error; disabling it...
  [   27.384025] hda-intel :04:01.0: no codecs initialized

  uploded alsa info of bad configuration:
  http://www.alsa-project.org/db/?f=c1cebc6d64b60684489e6143a813f529d01bc410

  
  Good system configuration:
  
  Linux version 3.2.0-56-generic (buildd@roseapple) (gcc version 4.6.3 
(Ubuntu/Linaro 4.6.3-1ubuntu5) ) #86-Ubuntu SMP Wed Oct 23 09:20:45 UTC 2013 
(Ubuntu 3.2.0-56.86-generic 3.2.51)
  [0.00] Command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-56-generic 
root=UUID=cd684c44-c353-4cdf-8242-a865c65b61b3 ro quiet splash vt.handoff=7

  
  [   23.147203] snd_hda_intel :04:01.0: PCI INT A -> GSI 17 (level, low) 
-> IRQ 17
  [   23.147262] snd_hda_intel :04:01.0: irq 68 for MSI/MSI-X
  [   23.147292] snd_hda_intel :04:01.0: setting latency timer to 64
  [   26.196033] hda-intel: azx_get_response timeout, switching to polling 
mode: last cmd=0x000f0001
  [   27.144807] hda_codec: ALC888: BIOS auto-probing.
  [   27.144813] hda_codec: ALC888: SKU not ready 0x41f0
  [   27.153432] input: HDA VIA VT82xx Line as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input7
  [   27.153568] input: HDA VIA VT82xx Mic as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input8
  [   27.153684] input: HDA VIA VT82xx Front Headphone as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input9
  [   27.153801] input: HDA VIA VT82xx Line-Out Side as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input10
  [   27.153914] input: HDA VIA VT82xx Line-Out CLFE as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input11
  [   27.154022] input: HDA VIA VT82xx Line-Out Surround as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input12
  [   27.154127] input: HDA VIA VT82xx Line-Out Front as 
/devices/pci:00/:00:13.0/:04:01.0/sound/card0/input13

  uploded alsa info of good configuration:
  http://www.alsa-project.org/db/?f=39d8e002614a92b0b9f993e3a9c46c7a5e86ae38

To manage notifications about this bug go to:
https://bugs.launchpad.net/alsa-driver/+bug/1265611/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


[Touch-packages] [Bug 1583861] Re: Keyboard backlight isn't properly restored after idle on systems with hardwired configuration

2016-05-25 Thread Treviño
Unfortunately this fails because of
https://bugs.freedesktop.org/show_bug.cgi?id=96215

** Tags removed: verification-needed
** Tags added: regression-proposed verification-failed

** Bug watch added: freedesktop.org Bugzilla #96215
   https://bugs.freedesktop.org/show_bug.cgi?id=96215

-- 
You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to upower in Ubuntu.
https://bugs.launchpad.net/bugs/1583861

Title:
  Keyboard backlight isn't properly restored after idle on systems with
  hardwired configuration

Status in Dell Sputnik:
  New
Status in Upower:
  Unknown
Status in gnome-settings-daemon package in Ubuntu:
  Confirmed
Status in unity-settings-daemon package in Ubuntu:
  Triaged
Status in upower package in Ubuntu:
  Fix Released
Status in gnome-settings-daemon source package in Xenial:
  New
Status in unity-settings-daemon source package in Xenial:
  New
Status in upower source package in Xenial:
  Fix Committed

Bug description:
  In Dell or ThinkPad (for these you need a kernel which includes fix
  for lp:1574498) notebooks with keyboard backlight, the keybindings to
  control the keyboard backlight don't emit any event to the userland,
  about the state change, nor they request userland to change it (as it
  happens in other models which emits KEY_KBDILLUM{UP,DOWN,TOGGLE}
  events), this causes unity/gnome-settings daemon not to restore the
  proper backlight after idle.

  Steps to reproduce:
   0) ensure your keyboard backlight is on, and
   gdbus call --system --dest org.freedesktop.UPower \
    --object-path /org/freedesktop/UPower/KbdBacklight \
    --method org.freedesktop.UPower.KbdBacklight.GetBrightness
  returns a value != from 0. If not, just call the SetBrightness
  method with a positive value, to turn on the backlight.

  Now turn off the keyboard backlight (or set it to another level)
  using the laptop keys, and run:
   gsettings set org.gnome.desktop.session idle-delay 1
  to make things easier to test.

   2) Wait one second and the screensaver should start. Wait the screen to
  be turned off. If you just changed the brightness level at the step above,
  once the screen is turned off, also the keyboard backlight should be 
turned off too.

   3) Now press a key or move the mouse.

  Expected behavior:

   4) The keyboard backlight should be set back to the previous level (so it 
should stay off
  or go back to the level you set before the idle timeout happened).

  Actual behavior:

   5) The backlight is set to the level it had at point 0).

  
  To reset the idle-delay, just call
gsettings reset org.gnome.desktop.session idle-delay

To manage notifications about this bug go to:
https://bugs.launchpad.net/dell-sputnik/+bug/1583861/+subscriptions

-- 
Mailing list: https://launchpad.net/~touch-packages
Post to : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp


  1   2   3   >